uni_dat = {
"TYR": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD1', 'CE1', 'CZ', 'OH', 'HOH', 'CE2', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 16, 'I': 17, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"HOH":{'torsion': 0.0, 'tree': 'E', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 113.0, 'blen': 0.96, 'charge': 0.339, 'type': 'HO'},
	"CE1":{'torsion': 180.0, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 120.0, 'blen': 1.4, 'charge': 0.1, 'type': 'CD'},
	"CD1":{'torsion': 180.0, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 120.0, 'blen': 1.4, 'charge': -0.035, 'type': 'CD'},
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"CZ":{'torsion': 0.0, 'tree': 'B', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 120.0, 'blen': 1.4, 'charge': -0.121, 'type': 'C'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.51, 'charge': -0.001, 'type': 'CA'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.245, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.022, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"OH":{'torsion': 180.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 120.0, 'blen': 1.36, 'charge': -0.368, 'type': 'OH'},
	"CE2":{'torsion': 0.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 14, 'angle': 120.0, 'blen': 1.4, 'charge': 0.1, 'type': 'CD'},
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 16, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"loopList":[['CG', 'CD2']],
	"CUT":['0.00000'],
	"CD2":{'torsion': 0.0, 'tree': 'E', 'NC': 10, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.4, 'charge': -0.035, 'type': 'CD'},
	"NAMRES":'TYROSINE',
},
"ARG": {	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['NE', 'NH1', 'CZ', 'NH2']],
	"NH1":{'torsion': 0.0, 'tree': 'B', 'NC': 9, 'NB': 10, 'NA': 12, 'I': 13, 'angle': 122.0, 'blen': 1.33, 'charge': -0.6345, 'type': 'N2'},
	"HN12":{'torsion': 180.0, 'tree': 'E', 'NC': 10, 'NB': 12, 'NA': 13, 'I': 15, 'angle': 119.8, 'blen': 1.01, 'charge': 0.3615, 'type': 'H3'},
	"INTX,KFORM":['INT', '1'],
	"NE":{'torsion': 180.0, 'tree': 'B', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 111.0, 'blen': 1.48, 'charge': -0.493, 'type': 'N2'},
	"HN11":{'torsion': 0.0, 'tree': 'E', 'NC': 10, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 119.8, 'blen': 1.01, 'charge': 0.3615, 'type': 'H3'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HN22":{'torsion': 180.0, 'tree': 'E', 'NC': 10, 'NB': 12, 'NA': 16, 'I': 18, 'angle': 119.8, 'blen': 1.01, 'charge': 0.3615, 'type': 'H3'},
	"HN21":{'torsion': 0.0, 'tree': 'E', 'NC': 10, 'NB': 12, 'NA': 16, 'I': 17, 'angle': 119.8, 'blen': 1.01, 'charge': 0.3615, 'type': 'H3'},
	"NAMRES":'ARGININE',
	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD', 'NE', 'HNE', 'CZ', 'NH1', 'HN11', 'HN12', 'NH2', 'HN21', 'HN22', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"NH2":{'torsion': 180.0, 'tree': 'B', 'NC': 9, 'NB': 10, 'NA': 12, 'I': 16, 'angle': 118.0, 'blen': 1.33, 'charge': -0.6345, 'type': 'N2'},
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"CZ":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 12, 'angle': 123.0, 'blen': 1.33, 'charge': 0.813, 'type': 'CA'},
	"CD":{'torsion': 180.0, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.47, 'blen': 1.525, 'charge': 0.111, 'type': 'C2'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 19, 'I': 20, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': 0.058, 'type': 'C2'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.237, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.049, 'type': 'C2'},
	"HNE":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 118.5, 'blen': 1.01, 'charge': 0.294, 'type': 'H3'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 19, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
},
"LEU": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD1', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CD1', 'CG', 'CB', 'CD2']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 11, 'I': 12, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CD2":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 10, 'angle': 109.47, 'blen': 1.525, 'charge': -0.014, 'type': 'C3'},
	"CD1":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.47, 'blen': 1.525, 'charge': -0.014, 'type': 'C3'},
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': 0.054, 'type': 'CH'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.204, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.016, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 11, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'LEUCINE',
},
"RURA": {	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 120.78, 'blen': 1.44, 'charge': 0.572, 'type': 'C'},
	"C5":{'torsion': 177.3, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 121.22, 'blen': 1.34, 'charge': -0.204, 'type': 'CJ'},
	"C6":{'torsion': 13.45, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 123.04, 'blen': 1.37, 'charge': 0.366, 'type': 'CJ'},
	"O3'":{'torsion': 83.18, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 18, 'I': 22, 'angle': 111.95, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"O2'":{'torsion': -76.4, 'tree': 'S', 'NC': 6, 'NB': 18, 'NA': 19, 'I': 20, 'angle': 110.78, 'blen': 1.42, 'charge': -0.512, 'type': 'OH'},
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 16, 'angle': 126.46, 'blen': 1.38, 'charge': 0.896, 'type': 'C'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N1'], ["C3'", "C1'", "C2'", "O2'"], ['N1', 'N3', 'C2', 'O2'], ['C5', 'N3', 'C4', 'O4'], ['C2', 'C4', 'N3', 'H3']],
	"O1'":{'torsion': -67.74, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.87, 'blen': 1.46, 'charge': -0.413, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -78.6, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.34, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 14, 'angle': 114.07, 'blen': 1.38, 'charge': -0.758, 'type': 'NA'},
	"H3":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 15, 'angle': 116.77, 'blen': 1.09, 'charge': 0.347, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['N1', 'C2']],
	"NAMRES":'R-URACIL',
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 121.7, 'blen': 1.22, 'charge': -0.494, 'type': 'O'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N1', 'C6', 'C5', 'C4', 'O4', 'N3', 'H3', 'C2', 'O2', "C3'", "C2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': -119.92, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.59, 'blen': 1.53, 'charge': -0.567, 'type': 'N*'},
	"CUT":['0.00000'],
	"C2'":{'torsion': -155.28, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 18, 'I': 19, 'angle': 102.08, 'blen': 1.53, 'charge': 0.082, 'type': 'CH'},
	"C4'":{'torsion': 174.9, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.02, 'blen': 1.52, 'charge': 0.197, 'type': 'CH'},
	"C5'":{'torsion': -60.18, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.02, 'blen': 1.44, 'charge': 0.175, 'type': 'C2'},
	"C1'":{'torsion': 144.7, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.84, 'blen': 1.42, 'charge': 0.522, 'type': 'CH'},
	"C3'":{'torsion': 48.86, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 18, 'angle': 115.82, 'blen': 1.53, 'charge': 0.21, 'type': 'CH'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 18, 'NB': 19, 'NA': 20, 'I': 21, 'angle': 109.47, 'blen': 0.96, 'charge': 0.316, 'type': 'HO'},
	"O4":{'torsion': 180.0, 'tree': 'E', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 125.35, 'blen': 1.23, 'charge': -0.394, 'type': 'O'},
},
"NME": {	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"atNameList":['N', 'HN', 'CM'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CM":{'torsion': 180.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.272, 'type': 'C3'},
	"impropTors":[['-M', 'CM', 'N', 'HN']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"CUT":['0.00000'],
	"NAMRES":'N-Methyl end group',
},
"MET": {	"SD":{'torsion': 180.0, 'tree': '3', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 110.0, 'blen': 1.81, 'charge': 0.737, 'type': 'S'},
	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'SD', 'CE', 'LP1', 'LP2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"LP1":{'torsion': 80.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 11, 'angle': 96.7, 'blen': 0.679, 'charge': -0.381, 'type': 'LP'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 13, 'I': 14, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"LP2":{'torsion': 280.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 12, 'angle': 96.7, 'blen': 0.679, 'charge': -0.381, 'type': 'LP'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': 0.09, 'type': 'C2'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.137, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.037, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CE":{'torsion': 180.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 100.0, 'blen': 1.78, 'charge': 0.007, 'type': 'C3'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 13, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'METHIONINE',
},
"IDBGEN,IREST,ITYPF":['1', '1', '1'],
"ALA": {	"atNameList":['N', 'HN', 'CA', 'CB', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.215, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.031, 'type': 'C3'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'ALANINE',
},
"PHE": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD1', 'CE1', 'CZ', 'CE2', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 14, 'I': 15, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CE1":{'torsion': 180.0, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 120.0, 'blen': 1.4, 'charge': 0.004, 'type': 'CD'},
	"CD1":{'torsion': 180.0, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 120.0, 'blen': 1.4, 'charge': -0.011, 'type': 'CD'},
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"CZ":{'torsion': 0.0, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 120.0, 'blen': 1.4, 'charge': -0.003, 'type': 'CD'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 115.0, 'blen': 1.51, 'charge': 0.011, 'type': 'CA'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.214, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.038, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CE2":{'torsion': 0.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 120.0, 'blen': 1.4, 'charge': 0.004, 'type': 'CD'},
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 14, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"loopList":[['CG', 'CD2']],
	"CUT":['0.00000'],
	"CD2":{'torsion': 0.0, 'tree': 'E', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 120.0, 'blen': 1.4, 'charge': -0.011, 'type': 'CD'},
	"NAMRES":'PHENYLALANINE',
},
"ROHE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['O', 'H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 0.96, 'charge': 0.226, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"O":{'torsion': -78.6, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.621, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'R-OH END',
},
"NAMDBF":'db4.dat',
"MG": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['MG'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.0000', '0.0000', '0.0000', '0.000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.0000', '0.0000', '0.0000', '0.000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.0000', '90.0000', '0.0000', '0.000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.000000'],
	"MG":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 90.0, 'blen': 1.0, 'charge': 2.0, 'type': 'MG'},
	"NAMRES":'MG  PREP',
},
"RADE": {	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 20, 'angle': 110.8, 'blen': 1.35, 'charge': 0.695, 'type': 'CB'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 104.0, 'blen': 1.39, 'charge': -0.151, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 132.42, 'blen': 1.4, 'charge': 0.813, 'type': 'CA'},
	"O3'":{'torsion': 83.18, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 21, 'I': 25, 'angle': 111.95, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"H62":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 120.0, 'blen': 1.01, 'charge': 0.339, 'type': 'H2'},
	"O2'":{'torsion': -76.4, 'tree': 'S', 'NC': 6, 'NB': 21, 'NA': 22, 'I': 23, 'angle': 110.78, 'blen': 1.42, 'charge': -0.512, 'type': 'OH'},
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 12, 'NB': 13, 'NA': 17, 'I': 18, 'angle': 118.8, 'blen': 1.33, 'charge': 0.571, 'type': 'CI'},
	"H61":{'torsion': 0.0, 'tree': 'E', 'NC': 12, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.01, 'charge': 0.335, 'type': 'H2'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N9'], ["C3'", "C1'", "C2'", "O2'"]],
	"C8":{'torsion': 13.45, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 131.2, 'blen': 1.37, 'charge': 0.488, 'type': 'CE'},
	"O1'":{'torsion': -67.74, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.87, 'blen': 1.46, 'charge': -0.413, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -78.6, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.34, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 129.17, 'blen': 1.32, 'charge': -0.717, 'type': 'NC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['N9', 'C4'], ['C5', 'C4']],
	"NAMRES":'R-ADENOSINE',
	"N7":{'torsion': 177.0, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 113.93, 'blen': 1.3, 'charge': -0.599, 'type': 'NB'},
	"N6":{'torsion': 0.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 123.5, 'blen': 1.34, 'charge': -0.793, 'type': 'N2'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N9', 'C8', 'N7', 'C5', 'C6', 'N6', 'H61', 'H62', 'N1', 'C2', 'N3', 'C4', "C3'", "C2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': 180.0, 'tree': 'S', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 17, 'angle': 117.43, 'blen': 1.34, 'charge': -0.76, 'type': 'NC'},
	"C2'":{'torsion': -155.28, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 21, 'I': 22, 'angle': 102.08, 'blen': 1.53, 'charge': 0.082, 'type': 'CH'},
	"C4'":{'torsion': 174.9, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.02, 'blen': 1.52, 'charge': 0.197, 'type': 'CH'},
	"N9":{'torsion': -119.92, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.59, 'blen': 1.52, 'charge': -0.457, 'type': 'N*'},
	"C5'":{'torsion': -60.18, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.02, 'blen': 1.44, 'charge': 0.175, 'type': 'C2'},
	"C1'":{'torsion': 144.7, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.84, 'blen': 1.42, 'charge': 0.522, 'type': 'CH'},
	"C3'":{'torsion': 48.86, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 21, 'angle': 115.82, 'blen': 1.53, 'charge': 0.21, 'type': 'CH'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 21, 'NB': 22, 'NA': 23, 'I': 24, 'angle': 109.47, 'blen': 0.96, 'charge': 0.316, 'type': 'HO'},
	"CUT":['0.00000'],
},
"DTHY": {	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 120.78, 'blen': 1.44, 'charge': 0.98, 'type': 'C'},
	"C5":{'torsion': 177.3, 'tree': 'B', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 121.22, 'blen': 1.34, 'charge': -0.595, 'type': 'CM'},
	"C6":{'torsion': 81.59, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 123.04, 'blen': 1.37, 'charge': 0.551, 'type': 'CJ'},
	"C7":{'torsion': 180.0, 'tree': 'E', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 121.63, 'blen': 1.5, 'charge': 0.097, 'type': 'C3'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 19, 'I': 21, 'angle': 116.52, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 11, 'NB': 13, 'NA': 15, 'I': 17, 'angle': 126.46, 'blen': 1.38, 'charge': 1.113, 'type': 'C'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N1'], ['N1', 'N3', 'C2', 'O2'], ['C5', 'N3', 'C4', 'O4'], ['C2', 'C4', 'N3', 'H3']],
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.86, 'blen': 1.46, 'charge': -0.386, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 15, 'angle': 114.07, 'blen': 1.38, 'charge': -1.012, 'type': 'NA'},
	"H3":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 15, 'I': 16, 'angle': 116.77, 'blen': 1.09, 'charge': 0.37, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['N1', 'C2']],
	"NAMRES":'D-THYMINE',
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 13, 'NB': 15, 'NA': 17, 'I': 18, 'angle': 121.7, 'blen': 1.22, 'charge': -0.529, 'type': 'O'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N1', 'C6', 'C5', 'C7', 'C4', 'O4', 'N3', 'H3', 'C2', 'O2', "C3'", "C2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': -127.7, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.59, 'blen': 1.53, 'charge': -0.739, 'type': 'N*'},
	"CUT":['0.00000'],
	"C2'":{'torsion': -86.3, 'tree': 'E', 'NC': 5, 'NB': 6, 'NA': 19, 'I': 20, 'angle': 102.8, 'blen': 1.53, 'charge': -0.047, 'type': 'C2'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.0, 'blen': 1.52, 'charge': 0.185, 'type': 'CH'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.153, 'type': 'C2'},
	"C1'":{'torsion': 105.6, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 110.04, 'blen': 1.42, 'charge': 0.5, 'type': 'CH'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 19, 'angle': 115.78, 'blen': 1.53, 'charge': 0.172, 'type': 'CH'},
	"O4":{'torsion': 180.0, 'tree': 'E', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 125.35, 'blen': 1.23, 'charge': -0.472, 'type': 'O'},
},
"DGUA": {	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 15, 'NB': 17, 'NA': 21, 'I': 22, 'angle': 112.2, 'blen': 1.36, 'charge': 0.49, 'type': 'CB'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 103.9, 'blen': 1.39, 'charge': -0.088, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 130.4, 'blen': 1.42, 'charge': 0.714, 'type': 'C'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 23, 'I': 25, 'angle': 116.52, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"C2":{'torsion': -0.1, 'tree': 'B', 'NC': 12, 'NB': 13, 'NA': 15, 'I': 17, 'angle': 125.24, 'blen': 1.38, 'charge': 0.842, 'type': 'CA'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 15, 'NA': 17, 'I': 21, 'angle': 123.3, 'blen': 1.33, 'charge': -0.702, 'type': 'NC'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N9'], ['C5', 'N1', 'C6', 'O6'], ['C6', 'C2', 'N1', 'H1']],
	"C8":{'torsion': 81.59, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 129.2, 'blen': 1.38, 'charge': 0.428, 'type': 'CE'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.86, 'blen': 1.46, 'charge': -0.386, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"H1":{'torsion': 179.9, 'tree': 'E', 'NC': 12, 'NB': 13, 'NA': 15, 'I': 16, 'angle': 117.36, 'blen': 1.0, 'charge': 0.34, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"N1":{'torsion': 180.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 15, 'angle': 111.38, 'blen': 1.4, 'charge': -0.746, 'type': 'NA'},
	"loopList":[["C1'", "C2'"], ['N9', 'C4'], ['C5', 'C4']],
	"H22":{'torsion': -179.44, 'tree': 'E', 'NC': 15, 'NB': 17, 'NA': 18, 'I': 20, 'angle': 116.53, 'blen': 1.01, 'charge': 0.333, 'type': 'H2'},
	"NAMRES":'D-GUANOSINE',
	"N7":{'torsion': -179.9, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 114.0, 'blen': 1.31, 'charge': -0.575, 'type': 'NB'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N9', 'C8', 'N7', 'C5', 'C6', 'O6', 'N1', 'H1', 'C2', 'N2', 'H21', 'H22', 'N3', 'C4', "C3'", "C2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N2":{'torsion': 180.0, 'tree': 'B', 'NC': 13, 'NB': 15, 'NA': 17, 'I': 18, 'angle': 116.02, 'blen': 1.34, 'charge': -0.758, 'type': 'N2'},
	"O6":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 128.8, 'blen': 1.23, 'charge': -0.459, 'type': 'O'},
	"C2'":{'torsion': -86.3, 'tree': 'E', 'NC': 5, 'NB': 6, 'NA': 23, 'I': 24, 'angle': 102.8, 'blen': 1.53, 'charge': -0.047, 'type': 'C2'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.0, 'blen': 1.52, 'charge': 0.185, 'type': 'CH'},
	"N9":{'torsion': -127.7, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 108.06, 'blen': 1.49, 'charge': -0.379, 'type': 'N*'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.153, 'type': 'C2'},
	"C1'":{'torsion': 105.6, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 110.04, 'blen': 1.42, 'charge': 0.5, 'type': 'CH'},
	"H21":{'torsion': -0.82, 'tree': 'E', 'NC': 15, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 127.0, 'blen': 1.01, 'charge': 0.324, 'type': 'H2'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 23, 'angle': 115.78, 'blen': 1.53, 'charge': 0.172, 'type': 'CH'},
	"CUT":['0.00000'],
},
"DPOM": {	"INTX,KFORM":['INT', '1'],
	"OB":{'torsion': -342.91, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 109.58, 'blen': 1.48, 'charge': -0.85, 'type': 'O2'},
	"atNameList":['P', 'OA', 'OB'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"OA":{'torsion': -214.89, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 109.61, 'blen': 1.48, 'charge': -0.85, 'type': 'O2'},
	"P":{'torsion': -200.85, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 119.04, 'blen': 1.6, 'charge': 1.429, 'type': 'P'},
	"NAMRES":'D - PHOSPATE MINUS',
},
"RGUA": {	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 15, 'NB': 17, 'NA': 21, 'I': 22, 'angle': 112.2, 'blen': 1.36, 'charge': 0.49, 'type': 'CB'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 103.9, 'blen': 1.39, 'charge': -0.088, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 130.4, 'blen': 1.42, 'charge': 0.714, 'type': 'C'},
	"O3'":{'torsion': 83.18, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 23, 'I': 27, 'angle': 111.95, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"O2'":{'torsion': -76.4, 'tree': 'S', 'NC': 6, 'NB': 23, 'NA': 24, 'I': 25, 'angle': 110.78, 'blen': 1.42, 'charge': -0.512, 'type': 'OH'},
	"C2":{'torsion': -0.1, 'tree': 'B', 'NC': 12, 'NB': 13, 'NA': 15, 'I': 17, 'angle': 125.24, 'blen': 1.38, 'charge': 0.842, 'type': 'CA'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 15, 'NA': 17, 'I': 21, 'angle': 123.3, 'blen': 1.33, 'charge': -0.702, 'type': 'NC'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N9'], ["C3'", "C1'", "C2'", "O2'"], ['C5', 'N1', 'C6', 'O6'], ['C6', 'C2', 'N1', 'H1']],
	"C8":{'torsion': 13.45, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 129.2, 'blen': 1.38, 'charge': 0.428, 'type': 'CE'},
	"O1'":{'torsion': -67.74, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.87, 'blen': 1.46, 'charge': -0.413, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -78.6, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.34, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"H1":{'torsion': 179.9, 'tree': 'E', 'NC': 12, 'NB': 13, 'NA': 15, 'I': 16, 'angle': 117.36, 'blen': 1.0, 'charge': 0.34, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"N1":{'torsion': 180.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 15, 'angle': 111.38, 'blen': 1.4, 'charge': -0.746, 'type': 'NA'},
	"loopList":[["C1'", "C2'"], ['N9', 'C4'], ['C5', 'C4']],
	"H22":{'torsion': -179.44, 'tree': 'E', 'NC': 15, 'NB': 17, 'NA': 18, 'I': 20, 'angle': 116.53, 'blen': 1.01, 'charge': 0.333, 'type': 'H2'},
	"NAMRES":'R-GUANOSINE',
	"N7":{'torsion': -179.9, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 114.0, 'blen': 1.31, 'charge': -0.575, 'type': 'NB'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N9', 'C8', 'N7', 'C5', 'C6', 'O6', 'N1', 'H1', 'C2', 'N2', 'H21', 'H22', 'N3', 'C4', "C3'", "C2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N2":{'torsion': 180.0, 'tree': 'B', 'NC': 13, 'NB': 15, 'NA': 17, 'I': 18, 'angle': 116.02, 'blen': 1.34, 'charge': -0.758, 'type': 'N2'},
	"O6":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 128.8, 'blen': 1.23, 'charge': -0.459, 'type': 'O'},
	"C2'":{'torsion': -155.28, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 23, 'I': 24, 'angle': 102.08, 'blen': 1.53, 'charge': 0.082, 'type': 'CH'},
	"C4'":{'torsion': 174.9, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.02, 'blen': 1.52, 'charge': 0.197, 'type': 'CH'},
	"N9":{'torsion': -119.92, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 108.06, 'blen': 1.49, 'charge': -0.379, 'type': 'N*'},
	"C5'":{'torsion': -60.18, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.02, 'blen': 1.44, 'charge': 0.175, 'type': 'C2'},
	"C1'":{'torsion': 144.7, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.84, 'blen': 1.42, 'charge': 0.522, 'type': 'CH'},
	"H21":{'torsion': -0.82, 'tree': 'E', 'NC': 15, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 127.0, 'blen': 1.01, 'charge': 0.324, 'type': 'H2'},
	"C3'":{'torsion': 48.86, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 23, 'angle': 115.82, 'blen': 1.53, 'charge': 0.21, 'type': 'CH'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 23, 'NB': 24, 'NA': 25, 'I': 26, 'angle': 109.47, 'blen': 0.96, 'charge': 0.316, 'type': 'HO'},
	"CUT":['0.00000'],
},
"TRP": {	"NE1":{'torsion': 180.0, 'tree': 'B', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 107.0, 'blen': 1.43, 'charge': -0.33, 'type': 'NA'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"CH2":{'torsion': 180.0, 'tree': 'S', 'NC': 10, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 116.0, 'blen': 1.39, 'charge': 0.034, 'type': 'CD'},
	"CZ2":{'torsion': 180.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 12, 'I': 13, 'angle': 128.0, 'blen': 1.4, 'charge': 0.029, 'type': 'CD'},
	"INTX,KFORM":['INT', '1'],
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.02, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[['CG', 'CD2'], ['CE2', 'CD2']],
	"NAMRES":'TRYPTOPHAN',
	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD1', 'NE1', 'HNE', 'CE2', 'CZ2', 'CH2', 'CZ3', 'CE3', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CD2":{'torsion': 0.0, 'tree': 'E', 'NC': 14, 'NB': 15, 'NA': 16, 'I': 17, 'angle': 117.0, 'blen': 1.4, 'charge': -0.275, 'type': 'CB'},
	"CD1":{'torsion': 180.0, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 127.0, 'blen': 1.34, 'charge': 0.117, 'type': 'CG'},
	"CE3":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 14, 'NA': 15, 'I': 16, 'angle': 122.0, 'blen': 1.41, 'charge': 0.145, 'type': 'CD'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 18, 'I': 19, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 115.0, 'blen': 1.51, 'charge': 0.046, 'type': 'C*'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.248, 'type': 'CH'},
	"CZ3":{'torsion': 0.0, 'tree': 'S', 'NC': 12, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 121.0, 'blen': 1.35, 'charge': -0.082, 'type': 'CD'},
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"CE2":{'torsion': 0.0, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 12, 'angle': 109.0, 'blen': 1.31, 'charge': 0.0, 'type': 'CN'},
	"HNE":{'torsion': 180.0, 'tree': 'E', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 125.5, 'blen': 1.01, 'charge': 0.294, 'type': 'H'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 18, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
},
"THR": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG2', 'OG1', 'HOG', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 11, 'I': 12, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CG2', 'CB', 'CA', 'OG1']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"OG1":{'torsion': 60.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 9, 'angle': 109.47, 'blen': 1.43, 'charge': -0.55, 'type': 'OH'},
	"CG2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': 0.007, 'type': 'C3'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.268, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'B', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.211, 'type': 'CH'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 11, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"HOG":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 9, 'I': 10, 'angle': 109.47, 'blen': 0.96, 'charge': 0.31, 'type': 'HO'},
	"NAMRES":'THREONINE',
},
"DCYT": {	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 116.9, 'blen': 1.43, 'charge': 0.63, 'type': 'CA'},
	"C5":{'torsion': 180.0, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 121.0, 'blen': 1.36, 'charge': -0.23, 'type': 'CJ'},
	"C6":{'torsion': 81.59, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 121.1, 'blen': 1.36, 'charge': 0.377, 'type': 'CJ'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 19, 'I': 21, 'angle': 116.52, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N1'], ['N1', 'N3', 'C2', 'O2']],
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 11, 'NB': 12, 'NA': 16, 'I': 17, 'angle': 120.5, 'blen': 1.36, 'charge': 0.938, 'type': 'C'},
	"H41":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 117.7, 'blen': 1.01, 'charge': 0.335, 'type': 'H2'},
	"H42":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 15, 'angle': 120.27, 'blen': 1.01, 'charge': 0.338, 'type': 'H2'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.86, 'blen': 1.46, 'charge': -0.386, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 16, 'angle': 121.7, 'blen': 1.33, 'charge': -0.791, 'type': 'NC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['N1', 'C2']],
	"N4":{'torsion': 180.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 120.1, 'blen': 1.32, 'charge': -0.743, 'type': 'N2'},
	"NAMRES":'D-CYTOSINE',
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 122.4, 'blen': 1.24, 'charge': -0.518, 'type': 'O'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N1', 'C6', 'C5', 'C4', 'N4', 'H41', 'H42', 'N3', 'C2', 'O2', "C3'", "C2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': -127.7, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 108.1, 'blen': 1.49, 'charge': -0.572, 'type': 'N*'},
	"C2'":{'torsion': -86.3, 'tree': 'E', 'NC': 5, 'NB': 6, 'NA': 19, 'I': 20, 'angle': 102.8, 'blen': 1.53, 'charge': -0.047, 'type': 'C2'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.0, 'blen': 1.52, 'charge': 0.185, 'type': 'CH'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.153, 'type': 'C2'},
	"C1'":{'torsion': 105.6, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 110.04, 'blen': 1.42, 'charge': 0.5, 'type': 'CH'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 19, 'angle': 115.78, 'blen': 1.53, 'charge': 0.172, 'type': 'CH'},
	"CUT":['0.00000'],
},
"K": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['K'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.0000', '0.0000', '0.0000', '0.000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.0000', '0.0000', '0.0000', '0.000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.0000', '90.0000', '0.0000', '0.000']],
	"K":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 90.0, 'blen': 1.0, 'charge': 1.0, 'type': 'SO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.000000'],
	"NAMRES":'K   PREP',
},
"CL": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['CL'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.0000', '0.0000', '0.0000', '0.000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.0000', '0.0000', '0.0000', '0.000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.0000', '90.0000', '0.0000', '0.000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CL":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 90.0, 'blen': 1.0, 'charge': -1.0, 'type': 'CL'},
	"CUT":['0.000000'],
	"NAMRES":'CL  PREP',
},
"VAL": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG1', 'CG2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CG1":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': 0.006, 'type': 'C3'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 10, 'I': 11, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CG1', 'CB', 'CA', 'CG2']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG2":{'torsion': 180.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 9, 'angle': 109.47, 'blen': 1.525, 'charge': 0.006, 'type': 'C3'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.201, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'B', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.033, 'type': 'CH'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 10, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'VALINE',
},
"RCYT": {	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 116.9, 'blen': 1.43, 'charge': 0.63, 'type': 'CA'},
	"C5":{'torsion': 180.0, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 121.0, 'blen': 1.36, 'charge': -0.23, 'type': 'CJ'},
	"C6":{'torsion': 13.45, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 121.1, 'blen': 1.36, 'charge': 0.377, 'type': 'CJ'},
	"O3'":{'torsion': 83.18, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 19, 'I': 23, 'angle': 111.95, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"O2'":{'torsion': -76.4, 'tree': 'S', 'NC': 6, 'NB': 19, 'NA': 20, 'I': 21, 'angle': 110.78, 'blen': 1.42, 'charge': -0.512, 'type': 'OH'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N1'], ["C3'", "C1'", "C2'", "O2'"], ['N1', 'N3', 'C2', 'O2']],
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 11, 'NB': 12, 'NA': 16, 'I': 17, 'angle': 120.5, 'blen': 1.36, 'charge': 0.938, 'type': 'C'},
	"H41":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 117.7, 'blen': 1.01, 'charge': 0.335, 'type': 'H2'},
	"H42":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 15, 'angle': 120.27, 'blen': 1.01, 'charge': 0.338, 'type': 'H2'},
	"O1'":{'torsion': -67.74, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.87, 'blen': 1.46, 'charge': -0.413, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -78.6, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.34, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 16, 'angle': 121.7, 'blen': 1.33, 'charge': -0.791, 'type': 'NC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['N1', 'C2']],
	"N4":{'torsion': 180.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 120.1, 'blen': 1.32, 'charge': -0.743, 'type': 'N2'},
	"NAMRES":'R-CYTOSINE',
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 122.4, 'blen': 1.24, 'charge': -0.518, 'type': 'O'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N1', 'C6', 'C5', 'C4', 'N4', 'H41', 'H42', 'N3', 'C2', 'O2', "C3'", "C2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': -119.92, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 108.1, 'blen': 1.49, 'charge': -0.572, 'type': 'N*'},
	"C2'":{'torsion': -155.28, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 19, 'I': 20, 'angle': 102.08, 'blen': 1.53, 'charge': 0.082, 'type': 'CH'},
	"C4'":{'torsion': 174.9, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.02, 'blen': 1.52, 'charge': 0.197, 'type': 'CH'},
	"C5'":{'torsion': -60.18, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.02, 'blen': 1.44, 'charge': 0.175, 'type': 'C2'},
	"C1'":{'torsion': 144.7, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.84, 'blen': 1.42, 'charge': 0.522, 'type': 'CH'},
	"C3'":{'torsion': 48.86, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 19, 'angle': 115.82, 'blen': 1.53, 'charge': 0.21, 'type': 'CH'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 19, 'NB': 20, 'NA': 21, 'I': 22, 'angle': 109.47, 'blen': 0.96, 'charge': 0.316, 'type': 'HO'},
	"CUT":['0.00000'],
},
"RPOM": {	"INTX,KFORM":['INT', '1'],
	"OB":{'torsion': -332.61, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 109.65, 'blen': 1.48, 'charge': -0.85, 'type': 'O2'},
	"atNameList":['P', 'OA', 'OB'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"OA":{'torsion': -194.89, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 109.58, 'blen': 1.48, 'charge': -0.85, 'type': 'O2'},
	"P":{'torsion': -213.19, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 119.04, 'blen': 1.6, 'charge': 1.429, 'type': 'P'},
	"NAMRES":'R - PHOSPHATE MINUS',
},
"ASN": {	"ND2":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 10, 'angle': 116.6, 'blen': 1.335, 'charge': -0.867, 'type': 'N'},
	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'OD1', 'ND2', 'HND1', 'HND2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 13, 'I': 14, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"OD1":{'torsion': 0.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 120.5, 'blen': 1.229, 'charge': -0.47, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CB', 'ND2', 'CG', 'OD1'], ['CG', 'HND1', 'ND2', 'HND2']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 111.1, 'blen': 1.522, 'charge': 0.675, 'type': 'C'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.217, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.003, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HND1":{'torsion': 0.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"HND2":{'torsion': 180.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 10, 'I': 12, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 13, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'ASPARAGINE',
},
"ACE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['CH3', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"CH3":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 90.0, 'blen': 1.0, 'charge': -0.026, 'type': 'C3'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'NOMI', 'DU', 'BEG'],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['CH3', '+M', 'C', 'O']],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 111.1, 'blen': 1.53, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'ACE BEGINNING GROUP',
},
"HIE": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'ND1', 'CE1', 'NE2', 'HNE', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"NE2":{'torsion': 0.0, 'tree': 'B', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 109.0, 'blen': 1.31, 'charge': -0.444, 'type': 'NA'},
	"ND1":{'torsion': 180.0, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 122.0, 'blen': 1.39, 'charge': -0.527, 'type': 'NB'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 14, 'I': 15, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CE1":{'torsion': 180.0, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 108.0, 'blen': 1.32, 'charge': 0.384, 'type': 'CP'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 14, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 115.0, 'blen': 1.51, 'charge': 0.112, 'type': 'CC'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.219, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.06, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[['CG', 'CD2']],
	"HNE":{'torsion': 180.0, 'tree': 'E', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 125.0, 'blen': 1.01, 'charge': 0.32, 'type': 'H'},
	"CUT":['0.00000'],
	"CD2":{'torsion': 0.0, 'tree': 'E', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 110.0, 'blen': 1.36, 'charge': 0.122, 'type': 'CG'},
	"NAMRES":'HISTIDINE EPSILONH',
},
"HID": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'ND1', 'HND', 'CE1', 'NE2', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"NE2":{'torsion': 0.0, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 11, 'I': 12, 'angle': 109.0, 'blen': 1.31, 'charge': -0.527, 'type': 'NB'},
	"ND1":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 122.0, 'blen': 1.39, 'charge': -0.444, 'type': 'NA'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 14, 'I': 15, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CE1":{'torsion': 180.0, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 11, 'angle': 108.0, 'blen': 1.32, 'charge': 0.384, 'type': 'CP'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 14, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 115.0, 'blen': 1.51, 'charge': 0.089, 'type': 'CC'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.219, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.06, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[['CG', 'CD2']],
	"HND":{'torsion': 0.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 126.0, 'blen': 1.01, 'charge': 0.32, 'type': 'H'},
	"CUT":['0.00000'],
	"CD2":{'torsion': 0.0, 'tree': 'E', 'NC': 9, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 110.0, 'blen': 1.36, 'charge': 0.145, 'type': 'CF'},
	"NAMRES":'HISTIDINE DELTAH',
},
"filename":'uni.in',
"OHB": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['H', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 120.0, 'blen': 1.0, 'charge': 0.243, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'NOMI', 'DU', 'BEG'],
	"O":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 120.0, 'blen': 0.96, 'charge': -0.577, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'OH BEGINNING',
},
"CYX": {	"atNameList":['N', 'HN', 'CA', 'CB', 'SG', 'LP1', 'LP2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"SG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 116.0, 'blen': 1.81, 'charge': 0.824, 'type': 'S'},
	"LP1":{'torsion': 80.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 96.7, 'blen': 0.679, 'charge': -0.4045, 'type': 'LP'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 11, 'I': 12, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"LP2":{'torsion': 280.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 10, 'angle': 96.7, 'blen': 0.679, 'charge': -0.4045, 'type': 'LP'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.088, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.143, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 11, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'CYSTINE(S-S BRIDGE)',
},
"PRO": {	"atNameList":['N', 'CD', 'CG', 'CB', 'CA', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CUT":['0.00000'],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['-M', 'CA', 'N', 'CD']],
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 117.0, 'blen': 1.337, 'charge': -0.257, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 200.1, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 103.2, 'blen': 1.5, 'charge': 0.036, 'type': 'C2'},
	"CA":{'torsion': 175.2, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 8, 'angle': 120.6, 'blen': 1.451, 'charge': 0.112, 'type': 'CH'},
	"CB":{'torsion': 338.3, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 106.0, 'blen': 1.51, 'charge': -0.001, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[['CB', 'CA']],
	"CD":{'torsion': 356.1, 'tree': 'S', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 126.1, 'blen': 1.458, 'charge': 0.084, 'type': 'C2'},
	"C":{'torsion': 0.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 8, 'I': 9, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'PROLINE',
},
"NA": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['NA'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.0000', '0.0000', '0.0000', '0.000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.0000', '0.0000', '0.0000', '0.000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.0000', '90.0000', '0.0000', '0.000']],
	"NA":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 90.0, 'blen': 1.0, 'charge': 1.0, 'type': 'SO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.000000'],
	"NAMRES":'NA  PREP',
},
"LYS": {	"HNZ3":{'torsion': 300.0, 'tree': 'E', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 14, 'angle': 109.47, 'blen': 1.01, 'charge': 0.311, 'type': 'H3'},
	"HNZ2":{'torsion': 180.0, 'tree': 'E', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 109.47, 'blen': 1.01, 'charge': 0.311, 'type': 'H3'},
	"HNZ1":{'torsion': 60.0, 'tree': 'E', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.47, 'blen': 1.01, 'charge': 0.311, 'type': 'H3'},
	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD', 'CE', 'NZ', 'HNZ1', 'HNZ2', 'HNZ3', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 15, 'I': 16, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CD":{'torsion': 180.0, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.47, 'blen': 1.525, 'charge': 0.048, 'type': 'C2'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"NZ":{'torsion': 180.0, 'tree': '3', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 109.47, 'blen': 1.47, 'charge': -0.272, 'type': 'N3'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': 0.053, 'type': 'C2'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.227, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.039, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CE":{'torsion': 180.0, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 109.47, 'blen': 1.525, 'charge': 0.218, 'type': 'C2'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 15, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'LYSINE',
},
"SER": {	"OG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.43, 'charge': -0.55, 'type': 'OH'},
	"atNameList":['N', 'HN', 'CA', 'CB', 'OG', 'HOG', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 10, 'I': 11, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.292, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.194, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 10, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"HOG":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.47, 'blen': 0.96, 'charge': 0.31, 'type': 'HO'},
	"NAMRES":'SERINE',
},
"ASP": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'OD1', 'OD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 11, 'I': 12, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"OD1":{'torsion': 90.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 117.2, 'blen': 1.26, 'charge': -0.706, 'type': 'O2'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CB', 'OD1', 'CG', 'OD2']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.527, 'charge': 0.62, 'type': 'C'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.246, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': -0.208, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"OD2":{'torsion': 270.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 10, 'angle': 117.2, 'blen': 1.26, 'charge': -0.706, 'type': 'O2'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 11, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'ASPARTIC ACID',
},
"CYS": {	"atNameList":['N', 'HN', 'CA', 'CB', 'SG', 'HSG', 'LP1', 'LP2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"SG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 116.0, 'blen': 1.81, 'charge': 0.827, 'type': 'SH'},
	"LP1":{'torsion': 80.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 10, 'angle': 96.7, 'blen': 0.679, 'charge': -0.481, 'type': 'LP'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 12, 'I': 13, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"LP2":{'torsion': 280.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 11, 'angle': 96.7, 'blen': 0.679, 'charge': -0.481, 'type': 'LP'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.146, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.1, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HSG":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 96.0, 'blen': 1.33, 'charge': 0.135, 'type': 'HS'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 12, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'CYSTEINE',
},
"HE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -211.37, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 114.97, 'blen': 0.96, 'charge': 0.313, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"NAMRES":'H END',
},
"POHE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['O', 'H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 107.0, 'blen': 0.96, 'charge': 0.38, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"O":{'torsion': 180.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 113.0, 'blen': 1.36, 'charge': -0.38, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'PROTEIN-OH END',
},
"GLU": {	"OE1":{'torsion': 90.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 117.2, 'blen': 1.26, 'charge': -0.706, 'type': 'O2'},
	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD', 'OE1', 'OE2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 12, 'I': 13, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CD":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.47, 'blen': 1.527, 'charge': 0.62, 'type': 'C'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CG', 'OE1', 'CD', 'OE2']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.51, 'charge': -0.208, 'type': 'C2'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.246, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.0, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 12, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"OE2":{'torsion': 270.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 11, 'angle': 117.2, 'blen': 1.26, 'charge': -0.706, 'type': 'O2'},
	"NAMRES":'GLUTAMIC ACID',
},
"HB": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 120.0, 'blen': 1.0, 'charge': 0.285, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'NOMI', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"NAMRES":'H BEGINNING',
},
"DADE": {	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 20, 'angle': 110.8, 'blen': 1.35, 'charge': 0.695, 'type': 'CB'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 9, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 104.0, 'blen': 1.39, 'charge': -0.151, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 132.42, 'blen': 1.4, 'charge': 0.813, 'type': 'CA'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 6, 'NA': 21, 'I': 23, 'angle': 116.52, 'blen': 1.42, 'charge': -0.535, 'type': 'OS'},
	"H62":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 120.0, 'blen': 1.01, 'charge': 0.339, 'type': 'H2'},
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 12, 'NB': 13, 'NA': 17, 'I': 18, 'angle': 118.8, 'blen': 1.33, 'charge': 0.571, 'type': 'CI'},
	"H61":{'torsion': 0.0, 'tree': 'E', 'NC': 12, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.01, 'charge': 0.335, 'type': 'H2'},
	"impropTors":[["C5'", "C4'", "C3'", "O1'"], ["C4'", "C2'", "C3'", "O3'"], ["O1'", "C2'", "C1'", 'N9']],
	"C8":{'torsion': 81.59, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 131.2, 'blen': 1.37, 'charge': 0.488, 'type': 'CE'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 7, 'angle': 108.86, 'blen': 1.46, 'charge': -0.386, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.535, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 129.17, 'blen': 1.32, 'charge': -0.717, 'type': 'NC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['N9', 'C4'], ['C5', 'C4']],
	"NAMRES":'D-ADENOSINE',
	"N7":{'torsion': 177.0, 'tree': 'S', 'NC': 8, 'NB': 9, 'NA': 10, 'I': 11, 'angle': 113.93, 'blen': 1.3, 'charge': -0.599, 'type': 'NB'},
	"N6":{'torsion': 0.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 123.5, 'blen': 1.34, 'charge': -0.793, 'type': 'N2'},
	"atNameList":["O5'", "C5'", "C4'", "O1'", "C1'", 'N9', 'C8', 'N7', 'C5', 'C6', 'N6', 'H61', 'H62', 'N1', 'C2', 'N3', 'C4', "C3'", "C2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': 180.0, 'tree': 'S', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 17, 'angle': 117.43, 'blen': 1.34, 'charge': -0.76, 'type': 'NC'},
	"C2'":{'torsion': -86.3, 'tree': 'E', 'NC': 5, 'NB': 6, 'NA': 21, 'I': 22, 'angle': 102.8, 'blen': 1.53, 'charge': -0.047, 'type': 'C2'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 110.0, 'blen': 1.52, 'charge': 0.185, 'type': 'CH'},
	"N9":{'torsion': -127.7, 'tree': 'S', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 109.59, 'blen': 1.52, 'charge': -0.457, 'type': 'N*'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.153, 'type': 'C2'},
	"C1'":{'torsion': 105.6, 'tree': 'S', 'NC': 5, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 110.04, 'blen': 1.42, 'charge': 0.5, 'type': 'CH'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 6, 'I': 21, 'angle': 115.78, 'blen': 1.53, 'charge': 0.172, 'type': 'CH'},
	"CUT":['0.00000'],
},
"GLY": {	"atNameList":['N', 'HN', 'CA', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.246, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 110.4, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'GLYCINE',
},
"HIP": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'ND1', 'HND', 'CE1', 'NE2', 'HNE', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"NE2":{'torsion': 0.0, 'tree': 'B', 'NC': 8, 'NB': 9, 'NA': 11, 'I': 12, 'angle': 109.0, 'blen': 1.31, 'charge': -0.686, 'type': 'NA'},
	"ND1":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 122.0, 'blen': 1.39, 'charge': -0.613, 'type': 'NA'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 15, 'I': 16, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CE1":{'torsion': 180.0, 'tree': 'S', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 11, 'angle': 108.0, 'blen': 1.32, 'charge': 0.719, 'type': 'CP'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 15, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 115.0, 'blen': 1.51, 'charge': 0.103, 'type': 'CC'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.195, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.211, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[['CG', 'CD2']],
	"HND":{'torsion': 0.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 126.0, 'blen': 1.01, 'charge': 0.478, 'type': 'H'},
	"HNE":{'torsion': 180.0, 'tree': 'E', 'NC': 9, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 125.0, 'blen': 1.01, 'charge': 0.486, 'type': 'H'},
	"CUT":['0.00000'],
	"CD2":{'torsion': 0.0, 'tree': 'E', 'NC': 9, 'NB': 11, 'NA': 12, 'I': 14, 'angle': 110.0, 'blen': 1.36, 'charge': 0.353, 'type': 'CG'},
	"NAMRES":'HISTIDINE PLUS',
},
"GLN": {	"OE1":{'torsion': 0.0, 'tree': 'E', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 10, 'angle': 120.5, 'blen': 1.229, 'charge': -0.47, 'type': 'O'},
	"atNameList":['N', 'HN', 'CA', 'CB', 'CG', 'CD', 'OE1', 'NE2', 'HNE1', 'HNE2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"NE2":{'torsion': 180.0, 'tree': 'B', 'NC': 7, 'NB': 8, 'NA': 9, 'I': 11, 'angle': 116.6, 'blen': 1.335, 'charge': -0.867, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 14, 'I': 15, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CD":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 7, 'NA': 8, 'I': 9, 'angle': 111.1, 'blen': 1.522, 'charge': 0.675, 'type': 'C'},
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CG', 'NE2', 'CD', 'OE1'], ['CD', 'HNE1', 'NE2', 'HNE2']],
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"HNE2":{'torsion': 180.0, 'tree': 'E', 'NC': 8, 'NB': 9, 'NA': 11, 'I': 13, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': -0.043, 'type': 'C2'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.21, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'S', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 111.1, 'blen': 1.525, 'charge': 0.053, 'type': 'C2'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HNE1":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 9, 'NA': 11, 'I': 12, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 14, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'GLUTAMINE',
},
"ILE": {	"atNameList":['N', 'HN', 'CA', 'CB', 'CG2', 'CG1', 'CD1', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"impropTors":[['-M', 'CA', 'N', 'HN'], ['CA', '+M', 'C', 'O'], ['CB', 'CA', 'N', 'C'], ['CG2', 'CB', 'CA', 'CG1']],
	"CG1":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 9, 'angle': 109.47, 'blen': 1.525, 'charge': 0.017, 'type': 'C2'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 11, 'I': 12, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"CD1":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 7, 'NA': 9, 'I': 10, 'angle': 109.47, 'blen': 1.525, 'charge': -0.001, 'type': 'C3'},
	"HN":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.248, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.52, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG2":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 7, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': 0.001, 'type': 'C3'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.199, 'type': 'CH'},
	"CB":{'torsion': 60.0, 'tree': 'B', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.47, 'blen': 1.525, 'charge': 0.03, 'type': 'CH'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 11, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'ISOLEUCINE',
},
"DOHE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['O', 'H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 0.96, 'charge': 0.226, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"O":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.621, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'D-OH END',
},
}