all_dat = {
"TYR": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"INTX,KFORM":['INT', '1'],
	"HD2":{'torsion': 180.0, 'tree': 'E', 'NC': 16, 'NB': 19, 'NA': 21, 'I': 22, 'angle': 120.0, 'blen': 1.09, 'charge': 0.064, 'type': 'HC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"OH":{'torsion': 180.0, 'tree': 'S', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 120.0, 'blen': 1.36, 'charge': -0.528, 'type': 'OH'},
	"HD1":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 120.0, 'blen': 1.09, 'charge': 0.064, 'type': 'HC'},
	"HE1":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.09, 'charge': 0.102, 'type': 'HC'},
	"HE2":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 19, 'I': 20, 'angle': 120.0, 'blen': 1.09, 'charge': 0.102, 'type': 'HC'},
	"CD2":{'torsion': 0.0, 'tree': 'S', 'NC': 14, 'NB': 16, 'NA': 19, 'I': 21, 'angle': 120.0, 'blen': 1.4, 'charge': -0.002, 'type': 'CA'},
	"NAMRES":'TYROSINE',
	"CD1":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 120.0, 'blen': 1.4, 'charge': -0.002, 'type': 'CA'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'CD1', 'HD1', 'CE1', 'HE1', 'CZ', 'OH', 'HH', 'CE2', 'HE2', 'CD2', 'HD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CE1":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 14, 'angle': 120.0, 'blen': 1.4, 'charge': -0.264, 'type': 'CA'},
	"CE2":{'torsion': 0.0, 'tree': 'B', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 19, 'angle': 120.0, 'blen': 1.4, 'charge': -0.264, 'type': 'CA'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"HH":{'torsion': 0.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 113.0, 'blen': 0.96, 'charge': 0.334, 'type': 'HO'},
	"CZ":{'torsion': 0.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 16, 'angle': 120.0, 'blen': 1.4, 'charge': 0.462, 'type': 'C'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 23, 'I': 24, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.51, 'charge': -0.03, 'type': 'CA'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"loopList":[['CG', 'CD2']],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 23, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"NHE": {	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"atNameList":['N', 'HN1', 'HN2'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.0000', '0.0000', '0.0000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.0000', '0.0000', '0.0000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.0000', '90.0000', '0.0000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORRECT', 'OMIT', 'DU', 'BEG'],
	"HN2":{'torsion': 180.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 119.8, 'blen': 1.01, 'charge': 0.2315, 'type': 'H'},
	"impropTors":[['-M', 'HN1', 'N', 'HN2']],
	"CUT":['0.00000'],
	"HN1":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.2315, 'type': 'H'},
	"NAMRES":'NH2 ENDING GROUP',
},
"ARG": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.056, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.056, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['NE', 'NH1', 'CZ', 'NH2'], ['CD', 'CZ', 'NE', 'HE'], ['CZ', 'HH12', 'NH1', 'HH11'], ['CZ', 'HH22', 'NH2', 'HH21']],
	"HH11":{'torsion': 0.0, 'tree': 'E', 'NC': 17, 'NB': 19, 'NA': 20, 'I': 21, 'angle': 119.8, 'blen': 1.01, 'charge': 0.361, 'type': 'H3'},
	"HH12":{'torsion': 180.0, 'tree': 'E', 'NC': 17, 'NB': 19, 'NA': 20, 'I': 22, 'angle': 119.8, 'blen': 1.01, 'charge': 0.361, 'type': 'H3'},
	"HH21":{'torsion': 0.0, 'tree': 'E', 'NC': 17, 'NB': 19, 'NA': 23, 'I': 24, 'angle': 119.8, 'blen': 1.01, 'charge': 0.361, 'type': 'H3'},
	"HH22":{'torsion': 180.0, 'tree': 'E', 'NC': 17, 'NB': 19, 'NA': 23, 'I': 25, 'angle': 119.8, 'blen': 1.01, 'charge': 0.361, 'type': 'H3'},
	"INTX,KFORM":['INT', '1'],
	"NE":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 17, 'angle': 111.0, 'blen': 1.48, 'charge': -0.324, 'type': 'N2'},
	"HG2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.074, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HD2":{'torsion': 300.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 109.5, 'blen': 1.09, 'charge': 0.133, 'type': 'HC'},
	"HD3":{'torsion': 60.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 16, 'angle': 109.5, 'blen': 1.09, 'charge': 0.133, 'type': 'HC'},
	"NAMRES":'ARGININE',
	"HE":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 18, 'angle': 118.5, 'blen': 1.01, 'charge': 0.269, 'type': 'H3'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG2', 'HG3', 'CD', 'HD2', 'HD3', 'NE', 'HE', 'CZ', 'NH1', 'HH11', 'HH12', 'NH2', 'HH21', 'HH22', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"NH2":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 17, 'NA': 19, 'I': 23, 'angle': 118.0, 'blen': 1.33, 'charge': -0.624, 'type': 'N2'},
	"HG3":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.074, 'type': 'HC'},
	"NH1":{'torsion': 0.0, 'tree': 'B', 'NC': 14, 'NB': 17, 'NA': 19, 'I': 20, 'angle': 122.0, 'blen': 1.33, 'charge': -0.624, 'type': 'N2'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"CZ":{'torsion': 180.0, 'tree': 'B', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 19, 'angle': 123.0, 'blen': 1.33, 'charge': 0.76, 'type': 'CA'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"CD":{'torsion': 180.0, 'tree': '3', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 109.47, 'blen': 1.525, 'charge': -0.228, 'type': 'CT'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 26, 'I': 27, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.525, 'charge': -0.103, 'type': 'CT'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.08, 'type': 'CT'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 26, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"LEU": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.033, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.033, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"INTX,KFORM":['INT', '1'],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"NAMRES":'LEUCINE',
	"HG":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.031, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG', 'CD1', 'HD11', 'HD12', 'HD13', 'CD2', 'HD21', 'HD22', 'HD23', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HD11":{'torsion': 60.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 109.5, 'blen': 1.09, 'charge': 0.034, 'type': 'HC'},
	"HD12":{'torsion': 180.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 13, 'I': 15, 'angle': 109.5, 'blen': 1.09, 'charge': 0.034, 'type': 'HC'},
	"HD13":{'torsion': 300.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 13, 'I': 16, 'angle': 109.5, 'blen': 1.09, 'charge': 0.034, 'type': 'HC'},
	"CD2":{'torsion': 180.0, 'tree': '3', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 17, 'angle': 109.47, 'blen': 1.525, 'charge': -0.107, 'type': 'CT'},
	"CD1":{'torsion': 60.0, 'tree': '3', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.47, 'blen': 1.525, 'charge': -0.107, 'type': 'CT'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 21, 'I': 22, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.525, 'charge': -0.01, 'type': 'CT'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.061, 'type': 'CT'},
	"HD21":{'torsion': 60.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 17, 'I': 18, 'angle': 109.5, 'blen': 1.09, 'charge': 0.034, 'type': 'HC'},
	"HD23":{'torsion': 300.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 17, 'I': 20, 'angle': 109.5, 'blen': 1.09, 'charge': 0.034, 'type': 'HC'},
	"HD22":{'torsion': 180.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 17, 'I': 19, 'angle': 109.5, 'blen': 1.09, 'charge': 0.034, 'type': 'HC'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 21, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"RURA": {	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 18, 'angle': 120.78, 'blen': 1.44, 'charge': 0.834, 'type': 'C'},
	"C5":{'torsion': 177.3, 'tree': 'B', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 121.22, 'blen': 1.34, 'charge': -0.529, 'type': 'CM'},
	"C6":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 123.04, 'blen': 1.37, 'charge': 0.16, 'type': 'CM'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 24, 'I': 30, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"H6":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.098, 'type': 'HC'},
	"O2'":{'torsion': 240.0, 'tree': 'S', 'NC': 8, 'NB': 24, 'NA': 26, 'I': 28, 'angle': 109.5, 'blen': 1.43, 'charge': -0.546, 'type': 'OH'},
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 16, 'NB': 18, 'NA': 20, 'I': 22, 'angle': 126.46, 'blen': 1.38, 'charge': 0.775, 'type': 'C'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 24, 'I': 26, 'angle': 102.8, 'blen': 1.53, 'charge': 0.101, 'type': 'CT'},
	"impropTors":[['N1', 'N3', 'C2', 'O2'], ['C5', 'N3', 'C4', 'O4'], ['C2', 'C4', 'N3', 'H3']],
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.343, 'type': 'OS'},
	"H5":{'torsion': 180.0, 'tree': 'E', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 120.0, 'blen': 1.09, 'charge': 0.146, 'type': 'HC'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 20, 'angle': 114.07, 'blen': 1.38, 'charge': -0.768, 'type': 'NA'},
	"H3":{'torsion': 180.0, 'tree': 'E', 'NC': 16, 'NB': 18, 'NA': 20, 'I': 21, 'angle': 116.77, 'blen': 1.09, 'charge': 0.334, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['C2', 'N1']],
	"H3'":{'torsion': 30.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 24, 'I': 25, 'angle': 109.5, 'blen': 1.09, 'charge': 0.007, 'type': 'HC'},
	"NAMRES":'R-URACIL',
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.061, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.054, 'type': 'HC'},
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 18, 'NB': 20, 'NA': 22, 'I': 23, 'angle': 121.7, 'blen': 1.22, 'charge': -0.472, 'type': 'O'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N1', 'C6', 'H6', 'C5', 'H5', 'C4', 'O4', 'N3', 'H3', 'C2', 'O2', "C3'", "H3'", "C2'", "H2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H2'":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 24, 'NA': 26, 'I': 27, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"N1":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 109.59, 'blen': 1.53, 'charge': -0.159, 'type': 'N*'},
	"CUT":['0.00000'],
	"H5'2":{'torsion': -280.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"H5'1":{'torsion': -160.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.1, 'type': 'CT'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.18, 'type': 'CT'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.117, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 24, 'angle': 115.78, 'blen': 1.53, 'charge': 0.303, 'type': 'CT'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 24, 'NB': 26, 'NA': 28, 'I': 29, 'angle': 107.0, 'blen': 0.96, 'charge': 0.324, 'type': 'HO'},
	"O4":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 19, 'angle': 125.35, 'blen': 1.23, 'charge': -0.474, 'type': 'O'},
},
"NME": {	"CT":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.067, 'type': 'CT'},
	"atNameList":['N', 'H', 'CT', 'HT1', 'HT2', 'HT3'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HT1":{'torsion': 0.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"HT2":{'torsion': 120.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"HT3":{'torsion': 240.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"NAMRES":'N-methyl all atom',
},
"MET": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.027, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.027, 'type': 'HC'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 21, 'I': 22, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"SD":{'torsion': 180.0, 'tree': '3', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 110.0, 'blen': 1.81, 'charge': 0.737, 'type': 'S'},
	"LP1":{'torsion': 60.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 96.7, 'blen': 0.679, 'charge': -0.381, 'type': 'LP'},
	"HG3":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.0652, 'type': 'HC'},
	"HG2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.0652, 'type': 'HC'},
	"INTX,KFORM":['INT', '1'],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HE3":{'torsion': 300.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 20, 'angle': 109.5, 'blen': 1.09, 'charge': 0.0652, 'type': 'HC'},
	"HE2":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 19, 'angle': 109.5, 'blen': 1.09, 'charge': 0.0652, 'type': 'HC'},
	"HE1":{'torsion': 60.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 18, 'angle': 109.5, 'blen': 1.09, 'charge': 0.0652, 'type': 'HC'},
	"NAMRES":'METHIONINE',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG2', 'HG3', 'SD', 'LP1', 'LP2', 'CE', 'HE1', 'HE2', 'HE3', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"CE":{'torsion': 180.0, 'tree': '3', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 17, 'angle': 100.0, 'blen': 1.78, 'charge': -0.134, 'type': 'CT'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.525, 'charge': -0.054, 'type': 'CT'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.151, 'type': 'CT'},
	"LP2":{'torsion': 300.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 16, 'angle': 96.7, 'blen': 0.679, 'charge': -0.381, 'type': 'LP'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 21, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"IDBGEN,IREST,ITYPF":['1', '0', '2'],
"ALA": {	"HB2":{'torsion': 180.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB1', 'HB2', 'HB3', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HB1":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 12, 'I': 13, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 12, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'ALANINE',
},
"PHE": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.108, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.108, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"INTX,KFORM":['INT', '1'],
	"HD2":{'torsion': 180.0, 'tree': 'E', 'NC': 16, 'NB': 18, 'NA': 20, 'I': 21, 'angle': 120.0, 'blen': 1.09, 'charge': 0.15, 'type': 'HC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HD1":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 120.0, 'blen': 1.09, 'charge': 0.15, 'type': 'HC'},
	"HE1":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.09, 'charge': 0.15, 'type': 'HC'},
	"HE2":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 19, 'angle': 120.0, 'blen': 1.09, 'charge': 0.15, 'type': 'HC'},
	"CD2":{'torsion': 0.0, 'tree': 'S', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 20, 'angle': 120.0, 'blen': 1.4, 'charge': -0.15, 'type': 'CA'},
	"NAMRES":'PHENYLALANINE',
	"CD1":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 120.0, 'blen': 1.4, 'charge': -0.15, 'type': 'CA'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'CD1', 'HD1', 'CE1', 'HE1', 'CZ', 'HZ', 'CE2', 'HE2', 'CD2', 'HD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CE1":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 14, 'angle': 120.0, 'blen': 1.4, 'charge': -0.15, 'type': 'CA'},
	"CE2":{'torsion': 0.0, 'tree': 'B', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 18, 'angle': 120.0, 'blen': 1.4, 'charge': -0.15, 'type': 'CA'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"CZ":{'torsion': 0.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 16, 'angle': 120.0, 'blen': 1.4, 'charge': -0.15, 'type': 'CA'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 22, 'I': 23, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 115.0, 'blen': 1.51, 'charge': -0.1, 'type': 'CA'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.1, 'type': 'CT'},
	"loopList":[['CG', 'CD2']],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 22, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"HZ":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 120.0, 'blen': 1.09, 'charge': 0.15, 'type': 'HC'},
},
"ROHE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['O', 'H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 0.96, 'charge': 0.226, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"O":{'torsion': -78.6, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.621, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'R-OH END',
},
"NAMDBF":'db4.dat',
"SER": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.119, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.119, 'type': 'HC'},
	"HG":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.47, 'blen': 0.96, 'charge': 0.31, 'type': 'HO'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'OG', 'HG', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 13, 'I': 14, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': 0.018, 'type': 'CT'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"OG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.43, 'charge': -0.55, 'type': 'OH'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 13, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'SERINE',
},
"RADE": {	"H2":{'torsion': 180.0, 'tree': 'E', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 24, 'angle': 120.0, 'blen': 1.08, 'charge': -0.032, 'type': 'HC'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 104.0, 'blen': 1.39, 'charge': -0.097, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 132.42, 'blen': 1.4, 'charge': 0.769, 'type': 'CA'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 33, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"H62":{'torsion': 180.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 21, 'angle': 120.0, 'blen': 1.01, 'charge': 0.335, 'type': 'H2'},
	"O2'":{'torsion': 240.0, 'tree': 'S', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 31, 'angle': 109.5, 'blen': 1.43, 'charge': -0.546, 'type': 'OH'},
	"C2":{'torsion': 0.0, 'tree': 'B', 'NC': 17, 'NB': 18, 'NA': 22, 'I': 23, 'angle': 118.8, 'blen': 1.33, 'charge': 0.661, 'type': 'CQ'},
	"H61":{'torsion': 0.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 20, 'angle': 120.0, 'blen': 1.01, 'charge': 0.324, 'type': 'H2'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 29, 'angle': 102.8, 'blen': 1.53, 'charge': 0.101, 'type': 'CT'},
	"impropTors":[['C6', 'H61', 'N6', 'H62']],
	"C8":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 131.2, 'blen': 1.37, 'charge': 0.263, 'type': 'CK'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.343, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"N7":{'torsion': 177.0, 'tree': 'S', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 113.93, 'blen': 1.3, 'charge': -0.543, 'type': 'NB'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 22, 'NB': 23, 'NA': 25, 'I': 26, 'angle': 110.8, 'blen': 1.35, 'charge': 0.546, 'type': 'CB'},
	"loopList":[["C1'", "C2'"], ['C4', 'C5'], ['C4', 'N9']],
	"H3'":{'torsion': -80.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 28, 'angle': 109.5, 'blen': 1.09, 'charge': 0.007, 'type': 'HC'},
	"NAMRES":'R-ADENOSINE',
	"H8":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.062, 'type': 'HC'},
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.061, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.054, 'type': 'HC'},
	"N6":{'torsion': 0.0, 'tree': 'B', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 123.5, 'blen': 1.34, 'charge': -0.768, 'type': 'N2'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N9', 'C8', 'H8', 'N7', 'C5', 'C6', 'N6', 'H61', 'H62', 'N1', 'C2', 'H2', 'N3', 'C4', "C3'", "H3'", "C2'", "H2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H2'":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 30, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"N1":{'torsion': 180.0, 'tree': 'S', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 22, 'angle': 117.43, 'blen': 1.34, 'charge': -0.774, 'type': 'NC'},
	"H5'2":{'torsion': 90.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"H5'1":{'torsion': -30.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.1, 'type': 'CT'},
	"N9":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 109.59, 'blen': 1.52, 'charge': -0.073, 'type': 'N*'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.18, 'type': 'CT'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.117, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 27, 'angle': 115.78, 'blen': 1.53, 'charge': 0.303, 'type': 'CT'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 25, 'angle': 129.17, 'blen': 1.32, 'charge': -0.728, 'type': 'NC'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 27, 'NB': 29, 'NA': 31, 'I': 32, 'angle': 107.0, 'blen': 0.96, 'charge': 0.324, 'type': 'HO'},
	"CUT":['0.00000'],
},
"DTHY": {	"H71":{'torsion': 60.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 109.5, 'blen': 1.09, 'charge': 0.114, 'type': 'HC'},
	"C5":{'torsion': 177.3, 'tree': 'B', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 121.22, 'blen': 1.34, 'charge': -0.176, 'type': 'CM'},
	"C6":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 123.04, 'blen': 1.37, 'charge': 0.034, 'type': 'CM'},
	"H72":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 19, 'angle': 109.5, 'blen': 1.09, 'charge': 0.114, 'type': 'HC'},
	"H6":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.134, 'type': 'HC'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 32, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 16, 'NB': 21, 'NA': 23, 'I': 25, 'angle': 126.46, 'blen': 1.38, 'charge': 0.849, 'type': 'C'},
	"N3":{'torsion': 0.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 21, 'I': 23, 'angle': 114.07, 'blen': 1.38, 'charge': -0.851, 'type': 'NA'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 29, 'angle': 102.8, 'blen': 1.53, 'charge': -0.307, 'type': 'CT'},
	"H2'1":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 30, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"H2'2":{'torsion': 240.0, 'tree': 'E', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 31, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.368, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"O4":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 21, 'I': 22, 'angle': 125.35, 'blen': 1.23, 'charge': -0.464, 'type': 'O'},
	"H3":{'torsion': 180.0, 'tree': 'E', 'NC': 16, 'NB': 21, 'NA': 23, 'I': 24, 'angle': 116.77, 'blen': 1.09, 'charge': 0.355, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 21, 'angle': 120.78, 'blen': 1.44, 'charge': 0.809, 'type': 'C'},
	"H73":{'torsion': 300.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 20, 'angle': 109.5, 'blen': 1.09, 'charge': 0.114, 'type': 'HC'},
	"H3'":{'torsion': 30.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 28, 'angle': 109.5, 'blen': 1.09, 'charge': 0.025, 'type': 'HC'},
	"NAMRES":'D-THY',
	"C7":{'torsion': 180.0, 'tree': '3', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 121.63, 'blen': 1.5, 'charge': -0.382, 'type': 'CT'},
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.056, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.009, 'type': 'HC'},
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 21, 'NB': 23, 'NA': 25, 'I': 26, 'angle': 121.7, 'blen': 1.22, 'charge': -0.488, 'type': 'O'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N1', 'C6', 'H6', 'C5', 'C7', 'H71', 'H72', 'H73', 'C4', 'O4', 'N3', 'H3', 'C2', 'O2', "C3'", "H3'", "C2'", "H2'1", "H2'2", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 109.59, 'blen': 1.53, 'charge': -0.217, 'type': 'N*'},
	"H5'2":{'torsion': -280.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H5'1":{'torsion': -160.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.036, 'type': 'CT'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.118, 'type': 'CT'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.376, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 27, 'angle': 115.78, 'blen': 1.53, 'charge': 0.233, 'type': 'CT'},
	"loopList":[["C1'", "C2'"], ['C2', 'N1']],
	"CUT":['0.00000'],
	"impropTors":[['N1', 'N3', 'C2', 'O2'], ['C5', 'N3', 'C4', 'O4'], ['C2', 'C4', 'N3', 'H3']],
},
"DGUA": {	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 20, 'NB': 22, 'NA': 26, 'I': 27, 'angle': 112.2, 'blen': 1.36, 'charge': 0.391, 'type': 'CB'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 103.9, 'blen': 1.39, 'charge': -0.06, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 130.4, 'blen': 1.42, 'charge': 0.69, 'type': 'C'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 28, 'I': 33, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"impropTors":[['C5', 'N1', 'C6', 'O6'], ['C6', 'C2', 'N1', 'H1'], ['C2', 'H21', 'N2', 'H22']],
	"C2":{'torsion': -0.1, 'tree': 'B', 'NC': 17, 'NB': 18, 'NA': 20, 'I': 22, 'angle': 125.24, 'blen': 1.38, 'charge': 0.871, 'type': 'CA'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 18, 'NB': 20, 'NA': 22, 'I': 26, 'angle': 123.3, 'blen': 1.33, 'charge': -0.709, 'type': 'NC'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 28, 'I': 30, 'angle': 102.8, 'blen': 1.53, 'charge': -0.307, 'type': 'CT'},
	"H1":{'torsion': 179.9, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 20, 'I': 21, 'angle': 117.36, 'blen': 1.0, 'charge': 0.336, 'type': 'H'},
	"C8":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 129.2, 'blen': 1.38, 'charge': 0.266, 'type': 'CK'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.368, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"N7":{'torsion': -179.9, 'tree': 'S', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 114.0, 'blen': 1.31, 'charge': -0.543, 'type': 'NB'},
	"H2'2":{'torsion': 240.0, 'tree': 'E', 'NC': 8, 'NB': 28, 'NA': 30, 'I': 32, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"N1":{'torsion': 180.0, 'tree': 'B', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 20, 'angle': 111.38, 'blen': 1.4, 'charge': -0.729, 'type': 'NA'},
	"loopList":[["C1'", "C2'"], ['C4', 'C5'], ['C4', 'N9']],
	"H21":{'torsion': -0.82, 'tree': 'E', 'NC': 20, 'NB': 22, 'NA': 23, 'I': 24, 'angle': 127.0, 'blen': 1.01, 'charge': 0.325, 'type': 'H2'},
	"NAMRES":'D-GUANOSINE',
	"H8":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.046, 'type': 'HC'},
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.056, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.009, 'type': 'HC'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N9', 'C8', 'H8', 'N7', 'C5', 'C6', 'O6', 'N1', 'H1', 'C2', 'N2', 'H21', 'H22', 'N3', 'C4', "C3'", "H3'", "C2'", "H2'1", "H2'2", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N2":{'torsion': 180.0, 'tree': 'B', 'NC': 18, 'NB': 20, 'NA': 22, 'I': 23, 'angle': 116.02, 'blen': 1.34, 'charge': -0.778, 'type': 'N2'},
	"O6":{'torsion': 0.0, 'tree': 'E', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 128.8, 'blen': 1.23, 'charge': -0.458, 'type': 'O'},
	"H5'2":{'torsion': 90.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H5'1":{'torsion': -30.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H3'":{'torsion': -320.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 28, 'I': 29, 'angle': 109.5, 'blen': 1.09, 'charge': 0.025, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.036, 'type': 'CT'},
	"H2'1":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 28, 'NA': 30, 'I': 31, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"N9":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 108.06, 'blen': 1.49, 'charge': -0.042, 'type': 'N*'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.118, 'type': 'CT'},
	"H22":{'torsion': -179.44, 'tree': 'E', 'NC': 20, 'NB': 22, 'NA': 23, 'I': 25, 'angle': 116.53, 'blen': 1.01, 'charge': 0.339, 'type': 'H2'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.376, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 28, 'angle': 115.78, 'blen': 1.53, 'charge': 0.233, 'type': 'CT'},
	"CUT":['0.00000'],
},
"DPOM": {	"INTX,KFORM":['INT', '1'],
	"OB":{'torsion': -342.91, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 109.58, 'blen': 1.48, 'charge': -0.847, 'type': 'O2'},
	"atNameList":['P', 'OA', 'OB'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"OA":{'torsion': -214.89, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 109.61, 'blen': 1.48, 'charge': -0.847, 'type': 'O2'},
	"P":{'torsion': -200.85, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 119.04, 'blen': 1.6, 'charge': 1.385, 'type': 'P'},
	"NAMRES":'PHOSMI D',
},
"RGUA": {	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 20, 'NB': 22, 'NA': 26, 'I': 27, 'angle': 112.2, 'blen': 1.36, 'charge': 0.391, 'type': 'CB'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 103.9, 'blen': 1.39, 'charge': -0.06, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 130.4, 'blen': 1.42, 'charge': 0.69, 'type': 'C'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 28, 'I': 34, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"O2'":{'torsion': 240.0, 'tree': 'S', 'NC': 8, 'NB': 28, 'NA': 30, 'I': 32, 'angle': 109.5, 'blen': 1.43, 'charge': -0.546, 'type': 'OH'},
	"impropTors":[['C5', 'N1', 'C6', 'O6'], ['C6', 'C2', 'N1', 'H1'], ['C2', 'H21', 'N2', 'H22']],
	"C2":{'torsion': -0.1, 'tree': 'B', 'NC': 17, 'NB': 18, 'NA': 20, 'I': 22, 'angle': 125.24, 'blen': 1.38, 'charge': 0.871, 'type': 'CA'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 18, 'NB': 20, 'NA': 22, 'I': 26, 'angle': 123.3, 'blen': 1.33, 'charge': -0.709, 'type': 'NC'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 28, 'I': 30, 'angle': 102.8, 'blen': 1.53, 'charge': 0.101, 'type': 'CT'},
	"H1":{'torsion': 179.9, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 20, 'I': 21, 'angle': 117.36, 'blen': 1.0, 'charge': 0.336, 'type': 'H'},
	"C8":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 129.2, 'blen': 1.38, 'charge': 0.266, 'type': 'CK'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.343, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"N7":{'torsion': -179.9, 'tree': 'S', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 114.0, 'blen': 1.31, 'charge': -0.543, 'type': 'NB'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"N1":{'torsion': 180.0, 'tree': 'B', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 20, 'angle': 111.38, 'blen': 1.4, 'charge': -0.729, 'type': 'NA'},
	"loopList":[["C1'", "C2'"], ['C4', 'C5'], ['C4', 'N9']],
	"H21":{'torsion': -0.82, 'tree': 'E', 'NC': 20, 'NB': 22, 'NA': 23, 'I': 24, 'angle': 127.0, 'blen': 1.01, 'charge': 0.325, 'type': 'H2'},
	"NAMRES":'R-GUANOSINE',
	"H8":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.046, 'type': 'HC'},
	"H2'":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 28, 'NA': 30, 'I': 31, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.061, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.054, 'type': 'HC'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N9', 'C8', 'H8', 'N7', 'C5', 'C6', 'O6', 'N1', 'H1', 'C2', 'N2', 'H21', 'H22', 'N3', 'C4', "C3'", "H3'", "C2'", "H2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N2":{'torsion': 180.0, 'tree': 'B', 'NC': 18, 'NB': 20, 'NA': 22, 'I': 23, 'angle': 116.02, 'blen': 1.34, 'charge': -0.778, 'type': 'N2'},
	"O6":{'torsion': 0.0, 'tree': 'E', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 128.8, 'blen': 1.23, 'charge': -0.458, 'type': 'O'},
	"H5'2":{'torsion': 90.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"H5'1":{'torsion': -30.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"H3'":{'torsion': -320.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 28, 'I': 29, 'angle': 109.5, 'blen': 1.09, 'charge': 0.007, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.1, 'type': 'CT'},
	"N9":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 108.06, 'blen': 1.49, 'charge': -0.042, 'type': 'N*'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.18, 'type': 'CT'},
	"H22":{'torsion': -179.44, 'tree': 'E', 'NC': 20, 'NB': 22, 'NA': 23, 'I': 25, 'angle': 116.53, 'blen': 1.01, 'charge': 0.339, 'type': 'H2'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.117, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 28, 'angle': 115.78, 'blen': 1.53, 'charge': 0.303, 'type': 'CT'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 28, 'NB': 30, 'NA': 32, 'I': 33, 'angle': 107.0, 'blen': 0.96, 'charge': 0.324, 'type': 'HO'},
	"CUT":['0.00000'],
},
"TRP": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HZ2":{'torsion': 0.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 120.0, 'blen': 1.09, 'charge': 0.084, 'type': 'HC'},
	"HZ3":{'torsion': 180.0, 'tree': 'E', 'NC': 17, 'NB': 19, 'NA': 21, 'I': 22, 'angle': 120.0, 'blen': 1.09, 'charge': 0.057, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CD1', 'CE2', 'NE1', 'HE1'], ['CE2', 'CH2', 'CZ2', 'HZ2'], ['CZ2', 'CZ3', 'CH2', 'HH2'], ['CH2', 'CE3', 'CZ3', 'HZ3'], ['CZ3', 'CD2', 'CE3', 'HE3']],
	"CH2":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 19, 'angle': 116.0, 'blen': 1.39, 'charge': -0.077, 'type': 'CA'},
	"CZ3":{'torsion': 0.0, 'tree': 'B', 'NC': 16, 'NB': 17, 'NA': 19, 'I': 21, 'angle': 121.0, 'blen': 1.35, 'charge': -0.066, 'type': 'CA'},
	"NE1":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 14, 'angle': 107.0, 'blen': 1.43, 'charge': -0.352, 'type': 'NA'},
	"INTX,KFORM":['INT', '1'],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HE3":{'torsion': 180.0, 'tree': 'E', 'NC': 19, 'NB': 21, 'NA': 23, 'I': 24, 'angle': 120.0, 'blen': 1.09, 'charge': 0.086, 'type': 'HC'},
	"HD1":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 120.0, 'blen': 1.09, 'charge': 0.093, 'type': 'HC'},
	"HE1":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 15, 'angle': 125.5, 'blen': 1.01, 'charge': 0.271, 'type': 'H'},
	"NAMRES":'TRYPTOPHAN',
	"CD1":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 127.0, 'blen': 1.34, 'charge': 0.044, 'type': 'CW'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'CD1', 'HD1', 'NE1', 'HE1', 'CE2', 'CZ2', 'HZ2', 'CH2', 'HH2', 'CZ3', 'HZ3', 'CE3', 'HE3', 'CD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CD2":{'torsion': 0.0, 'tree': 'E', 'NC': 19, 'NB': 21, 'NA': 23, 'I': 25, 'angle': 117.0, 'blen': 1.4, 'charge': 0.146, 'type': 'CB'},
	"CE2":{'torsion': 0.0, 'tree': 'S', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 16, 'angle': 109.0, 'blen': 1.31, 'charge': 0.154, 'type': 'CN'},
	"CE3":{'torsion': 0.0, 'tree': 'B', 'NC': 17, 'NB': 19, 'NA': 21, 'I': 23, 'angle': 122.0, 'blen': 1.41, 'charge': -0.173, 'type': 'CA'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 26, 'I': 27, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 115.0, 'blen': 1.51, 'charge': -0.135, 'type': 'C*'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"CZ2":{'torsion': 180.0, 'tree': 'B', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 128.0, 'blen': 1.4, 'charge': -0.168, 'type': 'CA'},
	"loopList":[['CG', 'CD2'], ['CE2', 'CD2']],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 26, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"HH2":{'torsion': 180.0, 'tree': 'E', 'NC': 16, 'NB': 17, 'NA': 19, 'I': 20, 'angle': 120.0, 'blen': 1.09, 'charge': 0.074, 'type': 'HC'},
},
"THR": {	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB', 'CG2', 'HG21', 'HG22', 'HG23', 'OG1', 'HG1', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HG23":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.065, 'type': 'HC'},
	"HB":{'torsion': 180.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.082, 'type': 'HC'},
	"HG22":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.065, 'type': 'HC'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': 0.17, 'type': 'CT'},
	"HG1":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 14, 'I': 15, 'angle': 109.47, 'blen': 0.96, 'charge': 0.31, 'type': 'HO'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"HG21":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 109.5, 'blen': 1.09, 'charge': 0.065, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"OG1":{'torsion': 60.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 14, 'angle': 109.47, 'blen': 1.43, 'charge': -0.55, 'type': 'OH'},
	"CG2":{'torsion': 300.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.47, 'blen': 1.525, 'charge': -0.191, 'type': 'CT'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 16, 'I': 17, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 16, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'THREONINE',
},
"DCYT": {	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 18, 'angle': 116.9, 'blen': 1.43, 'charge': 0.935, 'type': 'CA'},
	"C5":{'torsion': 180.0, 'tree': 'B', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 121.0, 'blen': 1.36, 'charge': -0.576, 'type': 'CM'},
	"C6":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 121.1, 'blen': 1.36, 'charge': 0.185, 'type': 'CM'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 25, 'I': 30, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"H6":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.098, 'type': 'HC'},
	"impropTors":[['N1', 'N3', 'C2', 'O2'], ['C4', 'H41', 'N4', 'H42']],
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 16, 'NB': 18, 'NA': 22, 'I': 23, 'angle': 120.5, 'blen': 1.36, 'charge': 0.859, 'type': 'C'},
	"H41":{'torsion': 0.0, 'tree': 'E', 'NC': 16, 'NB': 18, 'NA': 19, 'I': 20, 'angle': 117.7, 'blen': 1.01, 'charge': 0.329, 'type': 'H2'},
	"H42":{'torsion': 180.0, 'tree': 'E', 'NC': 16, 'NB': 18, 'NA': 19, 'I': 21, 'angle': 120.27, 'blen': 1.01, 'charge': 0.351, 'type': 'H2'},
	"H2'2":{'torsion': -320.0, 'tree': 'E', 'NC': 8, 'NB': 25, 'NA': 27, 'I': 29, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.368, 'type': 'OS'},
	"H5":{'torsion': 180.0, 'tree': 'E', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 120.0, 'blen': 1.09, 'charge': 0.153, 'type': 'HC'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 22, 'angle': 121.7, 'blen': 1.33, 'charge': -0.86, 'type': 'NC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['C2', 'N1']],
	"N4":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 19, 'angle': 120.1, 'blen': 1.32, 'charge': -0.834, 'type': 'N2'},
	"NAMRES":'D-CYTOSINE',
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.056, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.009, 'type': 'HC'},
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 24, 'angle': 122.4, 'blen': 1.24, 'charge': -0.508, 'type': 'O'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N1', 'C6', 'H6', 'C5', 'H5', 'C4', 'N4', 'H41', 'H42', 'N3', 'C2', 'O2', "C3'", "H3'", "C2'", "H2'1", "H2'2", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H2'1":{'torsion': -200.0, 'tree': 'E', 'NC': 8, 'NB': 25, 'NA': 27, 'I': 28, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"N1":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 108.1, 'blen': 1.49, 'charge': -0.187, 'type': 'N*'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 25, 'I': 27, 'angle': 102.8, 'blen': 1.53, 'charge': -0.307, 'type': 'CT'},
	"H5'2":{'torsion': 330.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H5'1":{'torsion': 90.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H3'":{'torsion': -320.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 25, 'I': 26, 'angle': 109.5, 'blen': 1.09, 'charge': 0.025, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.036, 'type': 'CT'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.118, 'type': 'CT'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.376, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 25, 'angle': 115.78, 'blen': 1.53, 'charge': 0.233, 'type': 'CT'},
	"CUT":['0.00000'],
},
"VAL": {	"HG22":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 14, 'I': 16, 'angle': 109.5, 'blen': 1.09, 'charge': 0.031, 'type': 'HC'},
	"HG23":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 14, 'I': 17, 'angle': 109.5, 'blen': 1.09, 'charge': 0.031, 'type': 'HC'},
	"HG21":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 14, 'I': 15, 'angle': 109.5, 'blen': 1.09, 'charge': 0.031, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"HG13":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.031, 'type': 'HC'},
	"HG12":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.031, 'type': 'HC'},
	"HG11":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 109.5, 'blen': 1.09, 'charge': 0.031, 'type': 'HC'},
	"INTX,KFORM":['INT', '1'],
	"CG2":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 14, 'angle': 109.47, 'blen': 1.525, 'charge': -0.091, 'type': 'CT'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CG1":{'torsion': 60.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.47, 'blen': 1.525, 'charge': -0.091, 'type': 'CT'},
	"NAMRES":'VALINE',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB', 'CG1', 'HG11', 'HG12', 'HG13', 'CG2', 'HG21', 'HG22', 'HG23', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HB":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.024, 'type': 'HC'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 18, 'I': 19, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.012, 'type': 'CT'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 18, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"WT3": {	"HW1":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.0, 'charge': 0.417, 'type': 'HW'},
	"INTX,KFORM":['INT', '1'],
	"atNameList":['HW1', 'OW', 'HW2'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[['HW1', 'HW2']],
	"HW2":{'torsion': -151.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 104.52, 'blen': 0.9572, 'charge': 0.417, 'type': 'HW'},
	"CUT":['0.00000'],
	"OW":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 104.52, 'blen': 0.9572, 'charge': -0.834, 'type': 'OW'},
	"NAMRES":'WATER, TIP3P MODEL',
},
"RCYT": {	"C4":{'torsion': 0.0, 'tree': 'B', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 18, 'angle': 116.9, 'blen': 1.43, 'charge': 0.935, 'type': 'CA'},
	"C5":{'torsion': 180.0, 'tree': 'B', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 121.0, 'blen': 1.36, 'charge': -0.576, 'type': 'CM'},
	"C6":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 121.1, 'blen': 1.36, 'charge': 0.185, 'type': 'CM'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 25, 'I': 31, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"H6":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.098, 'type': 'HC'},
	"O2'":{'torsion': 240.0, 'tree': 'S', 'NC': 8, 'NB': 25, 'NA': 27, 'I': 29, 'angle': 109.5, 'blen': 1.43, 'charge': -0.546, 'type': 'OH'},
	"C2":{'torsion': 0.0, 'tree': 'S', 'NC': 16, 'NB': 18, 'NA': 22, 'I': 23, 'angle': 120.5, 'blen': 1.36, 'charge': 0.859, 'type': 'C'},
	"H41":{'torsion': 0.0, 'tree': 'E', 'NC': 16, 'NB': 18, 'NA': 19, 'I': 20, 'angle': 117.7, 'blen': 1.01, 'charge': 0.329, 'type': 'H2'},
	"H42":{'torsion': 180.0, 'tree': 'E', 'NC': 16, 'NB': 18, 'NA': 19, 'I': 21, 'angle': 120.27, 'blen': 1.01, 'charge': 0.351, 'type': 'H2'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.343, 'type': 'OS'},
	"H5":{'torsion': 180.0, 'tree': 'E', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 120.0, 'blen': 1.09, 'charge': 0.153, 'type': 'HC'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 22, 'angle': 121.7, 'blen': 1.33, 'charge': -0.86, 'type': 'NC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['C2', 'N1']],
	"N4":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 19, 'angle': 120.1, 'blen': 1.32, 'charge': -0.834, 'type': 'N2'},
	"NAMRES":'R-CYTOSINE',
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.061, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.054, 'type': 'HC'},
	"O2":{'torsion': 180.0, 'tree': 'E', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 24, 'angle': 122.4, 'blen': 1.24, 'charge': -0.508, 'type': 'O'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N1', 'C6', 'H6', 'C5', 'H5', 'C4', 'N4', 'H41', 'H42', 'N3', 'C2', 'O2', "C3'", "H3'", "C2'", "H2'", "O2'", "HO2'", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H2'":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 25, 'NA': 27, 'I': 28, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"N1":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 108.1, 'blen': 1.49, 'charge': -0.187, 'type': 'N*'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 25, 'I': 27, 'angle': 102.8, 'blen': 1.53, 'charge': 0.101, 'type': 'CT'},
	"H5'2":{'torsion': 330.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"H5'1":{'torsion': 90.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.008, 'type': 'HC'},
	"H3'":{'torsion': -320.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 25, 'I': 26, 'angle': 109.5, 'blen': 1.09, 'charge': 0.007, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.1, 'type': 'CT'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.18, 'type': 'CT'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.117, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 25, 'angle': 115.78, 'blen': 1.53, 'charge': 0.303, 'type': 'CT'},
	"HO2'":{'torsion': 180.0, 'tree': 'E', 'NC': 25, 'NB': 27, 'NA': 29, 'I': 30, 'angle': 107.0, 'blen': 0.96, 'charge': 0.324, 'type': 'HO'},
	"CUT":['0.00000'],
	"impropTors":[['N1', 'N3', 'C2', 'O2'], ['C4', 'H41', 'N4', 'H42']],
},
"RPOM": {	"INTX,KFORM":['INT', '1'],
	"OB":{'torsion': -332.61, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 109.65, 'blen': 1.48, 'charge': -0.847, 'type': 'O2'},
	"atNameList":['P', 'OA', 'OB'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"OA":{'torsion': -194.89, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 109.58, 'blen': 1.48, 'charge': -0.847, 'type': 'O2'},
	"P":{'torsion': -213.19, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 119.04, 'blen': 1.6, 'charge': 1.385, 'type': 'P'},
	"NAMRES":'PHOSMI R',
},
"ASN": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'OD1', 'ND2', 'HD21', 'HD22', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"ND2":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 116.6, 'blen': 1.335, 'charge': -0.867, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 16, 'I': 17, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.086, 'type': 'CT'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CB', 'ND2', 'CG', 'OD1'], ['CG', 'HD21', 'ND2', 'HD22']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 111.1, 'blen': 1.522, 'charge': 0.675, 'type': 'C'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HD21":{'torsion': 180.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"OD1":{'torsion': 0.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 120.5, 'blen': 1.229, 'charge': -0.47, 'type': 'O'},
	"HD22":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 13, 'I': 15, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 16, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'ASPARAGINE',
},
"LYH": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.066, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.066, 'type': 'HC'},
	"HZ2":{'torsion': 300.0, 'tree': 'E', 'NC': 14, 'NB': 17, 'NA': 20, 'I': 22, 'angle': 109.47, 'blen': 1.01, 'charge': 0.29, 'type': 'H2'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"HZ1":{'torsion': 60.0, 'tree': 'E', 'NC': 14, 'NB': 17, 'NA': 20, 'I': 21, 'angle': 109.47, 'blen': 1.01, 'charge': 0.29, 'type': 'H2'},
	"NZ":{'torsion': 180.0, 'tree': 'B', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 20, 'angle': 109.47, 'blen': 1.47, 'charge': -0.8, 'type': 'NT'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 23, 'I': 24, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"INTX,KFORM":['INT', '1'],
	"HG3":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.024, 'type': 'HC'},
	"HG2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.024, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HE3":{'torsion': 60.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 19, 'angle': 109.5, 'blen': 1.09, 'charge': 0.017, 'type': 'HC'},
	"HE2":{'torsion': 300.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 18, 'angle': 109.5, 'blen': 1.09, 'charge': 0.017, 'type': 'HC'},
	"HD2":{'torsion': 300.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 109.5, 'blen': 1.09, 'charge': 0.04, 'type': 'HC'},
	"HD3":{'torsion': 60.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 16, 'angle': 109.5, 'blen': 1.09, 'charge': 0.04, 'type': 'HC'},
	"NAMRES":'LYSINE',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG2', 'HG3', 'CD', 'HD2', 'HD3', 'CE', 'HE2', 'HE3', 'NZ', 'HZ1', 'HZ2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"CD":{'torsion': 180.0, 'tree': '3', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 109.47, 'blen': 1.525, 'charge': -0.064, 'type': 'CT'},
	"CE":{'torsion': 180.0, 'tree': '3', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 17, 'angle': 109.47, 'blen': 1.525, 'charge': 0.196, 'type': 'CT'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.525, 'charge': -0.048, 'type': 'CT'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.142, 'type': 'CT'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 23, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"ASH": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.137, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.137, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'OD1', 'OD2', 'HD', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 15, 'I': 16, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.323, 'type': 'CT'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CB', 'OD1', 'CG', 'OD2']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"HD":{'torsion': 180.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 109.5, 'blen': 0.96, 'charge': 0.368, 'type': 'HO'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '0'],
	"CG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.527, 'charge': 0.803, 'type': 'C'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"OD2":{'torsion': 270.0, 'tree': 'S', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 117.2, 'blen': 1.26, 'charge': -0.63, 'type': 'OH'},
	"OD1":{'torsion': 90.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 117.2, 'blen': 1.26, 'charge': -0.476, 'type': 'O'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 15, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'ASP neutral',
},
"ACE": {	"atNameList":['H1', 'CH3', 'H2', 'H3', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H2":{'torsion': 60.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.01, 'type': 'HC'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"impropTors":[['CH3', '+M', 'C', 'O']],
	"CH3":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 90.0, 'blen': 1.09, 'charge': -0.142, 'type': 'CT'},
	"INTX,KFORM":['INT', '1'],
	"H1":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 90.0, 'blen': 1.0, 'charge': 0.01, 'type': 'HC'},
	"H3":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.01, 'type': 'HC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'NOMI', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 111.1, 'blen': 1.53, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'ACE BEGINNING GROUP',
},
"HIE": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"NE2":{'torsion': 0.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 15, 'angle': 109.0, 'blen': 1.31, 'charge': -0.146, 'type': 'NA'},
	"ND1":{'torsion': 180.0, 'tree': 'S', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 122.0, 'blen': 1.39, 'charge': -0.502, 'type': 'NB'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CE1', 'CD2', 'NE2', 'HE2']],
	"CE1":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 108.0, 'blen': 1.32, 'charge': 0.241, 'type': 'CR'},
	"INTX,KFORM":['INT', '1'],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HE2":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 13, 'NA': 15, 'I': 16, 'angle': 125.0, 'blen': 1.01, 'charge': 0.228, 'type': 'H'},
	"HD2":{'torsion': 180.0, 'tree': 'E', 'NC': 13, 'NB': 15, 'NA': 17, 'I': 18, 'angle': 120.0, 'blen': 1.09, 'charge': 0.114, 'type': 'HC'},
	"HE1":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 13, 'I': 14, 'angle': 120.0, 'blen': 1.09, 'charge': 0.036, 'type': 'HC'},
	"NAMRES":'HISTIDINE EPSILONH',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'ND1', 'CE1', 'HE1', 'NE2', 'HE2', 'CD2', 'HD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CD2":{'torsion': 0.0, 'tree': 'S', 'NC': 12, 'NB': 13, 'NA': 15, 'I': 17, 'angle': 110.0, 'blen': 1.36, 'charge': -0.184, 'type': 'CW'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 19, 'I': 20, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 115.0, 'blen': 1.51, 'charge': 0.251, 'type': 'CC'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"loopList":[['CG', 'CD2']],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 19, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"HID": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"NE2":{'torsion': 0.0, 'tree': 'S', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 16, 'angle': 109.0, 'blen': 1.31, 'charge': -0.502, 'type': 'NB'},
	"ND1":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 122.0, 'blen': 1.39, 'charge': -0.146, 'type': 'NA'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CG', 'CE1', 'ND1', 'HD1']],
	"CE1":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 14, 'angle': 108.0, 'blen': 1.32, 'charge': 0.241, 'type': 'CR'},
	"INTX,KFORM":['INT', '1'],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HD1":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 126.0, 'blen': 1.01, 'charge': 0.228, 'type': 'H'},
	"HD2":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 120.0, 'blen': 1.09, 'charge': 0.018, 'type': 'HC'},
	"HE1":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.09, 'charge': 0.036, 'type': 'HC'},
	"NAMRES":'HISTIDINE DELTAH',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'ND1', 'HD1', 'CE1', 'HE1', 'NE2', 'CD2', 'HD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CD2":{'torsion': 0.0, 'tree': 'S', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 110.0, 'blen': 1.36, 'charge': 0.195, 'type': 'CV'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 19, 'I': 20, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 115.0, 'blen': 1.51, 'charge': -0.032, 'type': 'CC'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"loopList":[['CG', 'CD2']],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 19, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"filename":'all.in',
"OHB": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['H', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 120.0, 'blen': 1.0, 'charge': 0.243, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'NOMI', 'DU', 'BEG'],
	"O":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 120.0, 'blen': 0.96, 'charge': -0.577, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'OH BEGINNING',
},
"CYX": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.0495, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.0495, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'SG', 'LP1', 'LP2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"SG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 116.0, 'blen': 1.81, 'charge': 0.824, 'type': 'S'},
	"LP1":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 96.7, 'blen': 0.679, 'charge': -0.4045, 'type': 'LP'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 14, 'I': 15, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"LP2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 96.7, 'blen': 0.679, 'charge': -0.4045, 'type': 'LP'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 14, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'CYSTINE(S-S BRIDGE)',
},
"PRO": {	"HB2":{'torsion': 136.3, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.061, 'type': 'HC'},
	"HB3":{'torsion': 256.3, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.061, 'type': 'HC'},
	"atNameList":['N', 'CD', 'HD2', 'HD3', 'CG', 'HG2', 'HG3', 'CB', 'HB2', 'HB3', 'CA', 'HA', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 120.5, 'blen': 1.229, 'charge': -0.5, 'type': 'O'},
	"impropTors":[['CA', '+M', 'C', 'O'], ['-M', 'CA', 'N', 'CD']],
	"HG2":{'torsion': 218.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.063, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 117.0, 'blen': 1.337, 'charge': -0.229, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"HG3":{'torsion': 98.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.063, 'type': 'HC'},
	"CG":{'torsion': 200.1, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 103.2, 'blen': 1.5, 'charge': -0.121, 'type': 'CT'},
	"HA":{'torsion': 81.1, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 14, 'I': 15, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"CB":{'torsion': 338.3, 'tree': 'B', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 11, 'angle': 106.0, 'blen': 1.51, 'charge': -0.115, 'type': 'CT'},
	"CD":{'torsion': 356.1, 'tree': '3', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 126.1, 'blen': 1.458, 'charge': -0.012, 'type': 'CT'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CA":{'torsion': 175.2, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 14, 'angle': 120.6, 'blen': 1.451, 'charge': 0.035, 'type': 'CT'},
	"loopList":[['CB', 'CA']],
	"HD2":{'torsion': 80.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.06, 'type': 'HC'},
	"HD3":{'torsion': 320.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.06, 'type': 'HC'},
	"CUT":['0.00000'],
	"C":{'torsion': 0.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 14, 'I': 16, 'angle': 111.1, 'blen': 1.522, 'charge': 0.526, 'type': 'C'},
	"NAMRES":'PROLINE',
},
"LYS": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HZ2":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 17, 'NA': 20, 'I': 22, 'angle': 109.47, 'blen': 1.01, 'charge': 0.294, 'type': 'H3'},
	"HZ3":{'torsion': 300.0, 'tree': 'E', 'NC': 14, 'NB': 17, 'NA': 20, 'I': 23, 'angle': 109.47, 'blen': 1.01, 'charge': 0.294, 'type': 'H3'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"HZ1":{'torsion': 60.0, 'tree': 'E', 'NC': 14, 'NB': 17, 'NA': 20, 'I': 21, 'angle': 109.47, 'blen': 1.01, 'charge': 0.294, 'type': 'H3'},
	"NZ":{'torsion': 180.0, 'tree': '3', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 20, 'angle': 109.47, 'blen': 1.47, 'charge': -0.138, 'type': 'N3'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 24, 'I': 25, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"INTX,KFORM":['INT', '1'],
	"HG3":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.116, 'type': 'HC'},
	"HG2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.116, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HE3":{'torsion': 60.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 19, 'angle': 109.5, 'blen': 1.09, 'charge': 0.098, 'type': 'HC'},
	"HE2":{'torsion': 300.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 17, 'I': 18, 'angle': 109.5, 'blen': 1.09, 'charge': 0.098, 'type': 'HC'},
	"HD2":{'torsion': 300.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 109.5, 'blen': 1.09, 'charge': 0.122, 'type': 'HC'},
	"HD3":{'torsion': 60.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 16, 'angle': 109.5, 'blen': 1.09, 'charge': 0.122, 'type': 'HC'},
	"NAMRES":'LYSINE',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG2', 'HG3', 'CD', 'HD2', 'HD3', 'CE', 'HE2', 'HE3', 'NZ', 'HZ1', 'HZ2', 'HZ3', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"CD":{'torsion': 180.0, 'tree': '3', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 109.47, 'blen': 1.525, 'charge': -0.18, 'type': 'CT'},
	"CE":{'torsion': 180.0, 'tree': '3', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 17, 'angle': 109.47, 'blen': 1.525, 'charge': -0.038, 'type': 'CT'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.525, 'charge': -0.16, 'type': 'CT'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 24, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"D2AP": {	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 22, 'NB': 23, 'NA': 25, 'I': 26, 'angle': 110.8, 'blen': 1.35, 'charge': 0.546, 'type': 'CB'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 104.0, 'blen': 1.39, 'charge': -0.097, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 132.42, 'blen': 1.4, 'charge': 0.769, 'type': 'CQ'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 32, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"impropTors":[['C2', 'H21', 'N2', 'H22']],
	"C2":{'torsion': 0.0, 'tree': 'B', 'NC': 17, 'NB': 18, 'NA': 22, 'I': 21, 'angle': 118.8, 'blen': 1.33, 'charge': 0.661, 'type': 'CA'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 25, 'angle': 129.17, 'blen': 1.32, 'charge': -0.728, 'type': 'NC'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 29, 'angle': 102.8, 'blen': 1.53, 'charge': -0.307, 'type': 'CT'},
	"H2'1":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 30, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"C8":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 131.2, 'blen': 1.37, 'charge': 0.263, 'type': 'CK'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.368, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"H6":{'torsion': 180.0, 'tree': 'E', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 19, 'angle': 120.0, 'blen': 1.08, 'charge': -0.032, 'type': 'HC'},
	"N7":{'torsion': 177.0, 'tree': 'S', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 113.93, 'blen': 1.3, 'charge': -0.543, 'type': 'NB'},
	"H2'2":{'torsion': 240.0, 'tree': 'E', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 31, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"loopList":[["C1'", "C2'"], ['C4', 'C5'], ['C4', 'N9']],
	"H21":{'torsion': 0.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 23, 'angle': 120.0, 'blen': 1.01, 'charge': 0.324, 'type': 'H2'},
	"NAMRES":'2-AMINO PURINE',
	"H8":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.062, 'type': 'HC'},
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.056, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.009, 'type': 'HC'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N9', 'C8', 'H8', 'N7', 'C5', 'C6', 'H6', 'N1', 'C2', 'N2', 'H21', 'H22', 'N3', 'C4', "C3'", "H3'", "C2'", "H2'1", "H2'2", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N2":{'torsion': 0.0, 'tree': 'B', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 22, 'angle': 123.5, 'blen': 1.34, 'charge': -0.768, 'type': 'N2'},
	"N1":{'torsion': 180.0, 'tree': 'S', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 20, 'angle': 117.43, 'blen': 1.34, 'charge': -0.774, 'type': 'NC'},
	"H5'2":{'torsion': 90.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H5'1":{'torsion': -30.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H3'":{'torsion': 30.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 28, 'angle': 109.5, 'blen': 1.09, 'charge': 0.025, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.036, 'type': 'CT'},
	"N9":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 109.59, 'blen': 1.52, 'charge': -0.073, 'type': 'N*'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.118, 'type': 'CT'},
	"H22":{'torsion': 180.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 24, 'angle': 120.0, 'blen': 1.01, 'charge': 0.335, 'type': 'H2'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.376, 'type': 'CT'},
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 27, 'angle': 115.78, 'blen': 1.53, 'charge': 0.233, 'type': 'CT'},
	"CUT":['0.00000'],
},
"ASP": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.071, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.071, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'OD1', 'OD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 14, 'I': 15, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.398, 'type': 'CT'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CB', 'OD1', 'CG', 'OD2']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CG":{'torsion': 180.0, 'tree': 'B', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.527, 'charge': 0.714, 'type': 'C'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"OD2":{'torsion': 270.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 117.2, 'blen': 1.26, 'charge': -0.721, 'type': 'O2'},
	"OD1":{'torsion': 90.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 117.2, 'blen': 1.26, 'charge': -0.721, 'type': 'O2'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 14, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'ASPARTIC ACID',
},
"CYS": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HG":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 96.0, 'blen': 1.33, 'charge': 0.135, 'type': 'HS'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'SG', 'HG', 'LP1', 'LP2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"SG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 116.0, 'blen': 1.81, 'charge': 0.827, 'type': 'SH'},
	"LP1":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 96.7, 'blen': 0.679, 'charge': -0.481, 'type': 'LP'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 15, 'I': 16, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.06, 'type': 'CT'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"LP2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 96.7, 'blen': 0.679, 'charge': -0.481, 'type': 'LP'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 15, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'CYSTEINE',
},
"HE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -211.37, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 114.97, 'blen': 0.96, 'charge': 0.306, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"NAMRES":'H END',
},
"POHE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['O', 'H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 107.0, 'blen': 0.96, 'charge': 0.38, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"O":{'torsion': 180.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 113.0, 'blen': 1.36, 'charge': -0.38, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'PROTEIN-OH END',
},
"GLU": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.092, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.092, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG2', 'HG3', 'CD', 'OE1', 'OE2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CG', 'OE1', 'CD', 'OE2']],
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 17, 'I': 18, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CD":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 109.47, 'blen': 1.527, 'charge': 0.714, 'type': 'C'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.184, 'type': 'CT'},
	"HG2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.071, 'type': 'HC'},
	"OE1":{'torsion': 90.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 117.2, 'blen': 1.26, 'charge': -0.721, 'type': 'O2'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"HG3":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.071, 'type': 'HC'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.51, 'charge': -0.398, 'type': 'CT'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 17, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"OE2":{'torsion': 270.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 16, 'angle': 117.2, 'blen': 1.26, 'charge': -0.721, 'type': 'O2'},
	"NAMRES":'GLUTAMIC ACID',
},
"HB": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 120.0, 'blen': 1.0, 'charge': 0.279, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'NOMI', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"NAMRES":'H BEGINNING',
},
"DADE": {	"H2":{'torsion': 180.0, 'tree': 'E', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 24, 'angle': 120.0, 'blen': 1.08, 'charge': -0.032, 'type': 'HC'},
	"C5":{'torsion': 0.0, 'tree': 'S', 'NC': 13, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 104.0, 'blen': 1.39, 'charge': -0.097, 'type': 'CB'},
	"C6":{'torsion': 180.0, 'tree': 'B', 'NC': 14, 'NB': 16, 'NA': 17, 'I': 18, 'angle': 132.42, 'blen': 1.4, 'charge': 0.769, 'type': 'CA'},
	"O3'":{'torsion': -203.47, 'tree': 'M', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 32, 'angle': 116.52, 'blen': 1.42, 'charge': -0.509, 'type': 'OS'},
	"H62":{'torsion': 180.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 21, 'angle': 120.0, 'blen': 1.01, 'charge': 0.335, 'type': 'H2'},
	"impropTors":[['C6', 'H61', 'N6', 'H62']],
	"C2":{'torsion': 0.0, 'tree': 'B', 'NC': 17, 'NB': 18, 'NA': 22, 'I': 23, 'angle': 118.8, 'blen': 1.33, 'charge': 0.661, 'type': 'CQ'},
	"H61":{'torsion': 0.0, 'tree': 'E', 'NC': 17, 'NB': 18, 'NA': 19, 'I': 20, 'angle': 120.0, 'blen': 1.01, 'charge': 0.324, 'type': 'H2'},
	"C2'":{'torsion': -86.3, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 29, 'angle': 102.8, 'blen': 1.53, 'charge': -0.307, 'type': 'CT'},
	"H2'1":{'torsion': 120.0, 'tree': 'E', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 30, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"C8":{'torsion': 81.59, 'tree': 'B', 'NC': 10, 'NB': 11, 'NA': 13, 'I': 14, 'angle': 131.2, 'blen': 1.37, 'charge': 0.263, 'type': 'CK'},
	"O1'":{'torsion': -86.31, 'tree': 'S', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 10, 'angle': 108.86, 'blen': 1.46, 'charge': -0.368, 'type': 'OS'},
	"INTX,KFORM":['INT', '1'],
	"O5'":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.509, 'type': 'OS'},
	"N7":{'torsion': 177.0, 'tree': 'S', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 16, 'angle': 113.93, 'blen': 1.3, 'charge': -0.543, 'type': 'NB'},
	"H2'2":{'torsion': 240.0, 'tree': 'E', 'NC': 8, 'NB': 27, 'NA': 29, 'I': 31, 'angle': 109.5, 'blen': 1.09, 'charge': 0.081, 'type': 'HC'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"C4":{'torsion': 0.0, 'tree': 'E', 'NC': 22, 'NB': 23, 'NA': 25, 'I': 26, 'angle': 110.8, 'blen': 1.35, 'charge': 0.546, 'type': 'CB'},
	"loopList":[["C1'", "C2'"], ['C4', 'C5'], ['C4', 'N9']],
	"H3'":{'torsion': 30.0, 'tree': 'E', 'NC': 5, 'NB': 8, 'NA': 27, 'I': 28, 'angle': 109.5, 'blen': 1.09, 'charge': 0.025, 'type': 'HC'},
	"NAMRES":'D-ADENOSINE',
	"H8":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 13, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.08, 'charge': 0.062, 'type': 'HC'},
	"H4'":{'torsion': -200.0, 'tree': 'E', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.056, 'type': 'HC'},
	"H1'":{'torsion': -240.0, 'tree': 'E', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.009, 'type': 'HC'},
	"N6":{'torsion': 0.0, 'tree': 'B', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 19, 'angle': 123.5, 'blen': 1.34, 'charge': -0.768, 'type': 'N2'},
	"atNameList":["O5'", "C5'", "H5'1", "H5'2", "C4'", "H4'", "O1'", "C1'", "H1'", 'N9', 'C8', 'H8', 'N7', 'C5', 'C6', 'N6', 'H61', 'H62', 'N1', 'C2', 'H2', 'N3', 'C4', "C3'", "H3'", "C2'", "H2'1", "H2'2", "O3'"],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"N1":{'torsion': 180.0, 'tree': 'S', 'NC': 16, 'NB': 17, 'NA': 18, 'I': 22, 'angle': 117.43, 'blen': 1.34, 'charge': -0.774, 'type': 'NC'},
	"H5'2":{'torsion': 90.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"H5'1":{'torsion': -30.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 6, 'angle': 109.5, 'blen': 1.09, 'charge': 0.021, 'type': 'HC'},
	"C4'":{'torsion': -151.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 5, 'I': 8, 'angle': 110.0, 'blen': 1.52, 'charge': 0.036, 'type': 'CT'},
	"N9":{'torsion': -127.7, 'tree': 'S', 'NC': 8, 'NB': 10, 'NA': 11, 'I': 13, 'angle': 109.59, 'blen': 1.52, 'charge': -0.073, 'type': 'N*'},
	"C5'":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 1.44, 'charge': 0.118, 'type': 'CT'},
	"C1'":{'torsion': 105.6, 'tree': 'B', 'NC': 5, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 110.04, 'blen': 1.42, 'charge': 0.376, 'type': 'CT'},
	"C3'":{'torsion': -329.11, 'tree': 'M', 'NC': 4, 'NB': 5, 'NA': 8, 'I': 27, 'angle': 115.78, 'blen': 1.53, 'charge': 0.233, 'type': 'CT'},
	"N3":{'torsion': 0.0, 'tree': 'S', 'NC': 18, 'NB': 22, 'NA': 23, 'I': 25, 'angle': 129.17, 'blen': 1.32, 'charge': -0.728, 'type': 'NC'},
	"CUT":['0.00000'],
},
"GLY": {	"HA3":{'torsion': 60.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 109.5, 'blen': 1.09, 'charge': 0.032, 'type': 'HC'},
	"atNameList":['N', 'H', 'CA', 'HA2', 'HA3', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HA2":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.032, 'type': 'HC'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 9, 'I': 10, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"INTX,KFORM":['INT', '1'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 9, 'angle': 110.4, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"NAMRES":'GLYCINE',
},
"HIP": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.086, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.086, 'type': 'HC'},
	"NE2":{'torsion': 0.0, 'tree': 'B', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 16, 'angle': 109.0, 'blen': 1.31, 'charge': -0.058, 'type': 'NA'},
	"ND1":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 122.0, 'blen': 1.39, 'charge': -0.058, 'type': 'NA'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CG', 'CE1', 'ND1', 'HD1'], ['CE1', 'CD2', 'NE2', 'HE2']],
	"CE1":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 14, 'angle': 108.0, 'blen': 1.32, 'charge': 0.114, 'type': 'CR'},
	"INTX,KFORM":['INT', '1'],
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"HD1":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 12, 'I': 13, 'angle': 126.0, 'blen': 1.01, 'charge': 0.306, 'type': 'H'},
	"HD2":{'torsion': 180.0, 'tree': 'E', 'NC': 14, 'NB': 16, 'NA': 18, 'I': 19, 'angle': 120.0, 'blen': 1.09, 'charge': 0.153, 'type': 'HC'},
	"HE1":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 12, 'NA': 14, 'I': 15, 'angle': 120.0, 'blen': 1.09, 'charge': 0.158, 'type': 'HC'},
	"HE2":{'torsion': 180.0, 'tree': 'E', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 125.0, 'blen': 1.01, 'charge': 0.306, 'type': 'H'},
	"NAMRES":'HISTIDINE PLUS',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'ND1', 'HD1', 'CE1', 'HE1', 'NE2', 'HE2', 'CD2', 'HD2', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"CD2":{'torsion': 0.0, 'tree': 'S', 'NC': 12, 'NB': 14, 'NA': 16, 'I': 18, 'angle': 110.0, 'blen': 1.36, 'charge': -0.037, 'type': 'CW'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 20, 'I': 21, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': 'S', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 115.0, 'blen': 1.51, 'charge': 0.058, 'type': 'CC'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"loopList":[['CG', 'CD2']],
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 20, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"GLN": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.038, 'type': 'HC'},
	"NE2":{'torsion': 180.0, 'tree': 'B', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 16, 'angle': 116.6, 'blen': 1.335, 'charge': -0.867, 'type': 'N'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CG', 'NE2', 'CD', 'OE1'], ['CD', 'HE21', 'NE2', 'HE22']],
	"INTX,KFORM":['INT', '1'],
	"HG3":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.057, 'type': 'HC'},
	"HG2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.057, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"NAMRES":'GLUTAMINE',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG2', 'HG3', 'CD', 'OE1', 'NE2', 'HE21', 'HE22', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HE21":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"HE22":{'torsion': 0.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 16, 'I': 18, 'angle': 119.8, 'blen': 1.01, 'charge': 0.344, 'type': 'H'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"CD":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 111.1, 'blen': 1.522, 'charge': 0.675, 'type': 'C'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 19, 'I': 20, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.525, 'charge': -0.102, 'type': 'CT'},
	"OE1":{'torsion': 0.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 120.5, 'blen': 1.229, 'charge': -0.47, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.098, 'type': 'CT'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 19, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
"ILE": {	"HG22":{'torsion': 180.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.029, 'type': 'HC'},
	"HG23":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.029, 'type': 'HC'},
	"HG21":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 10, 'I': 11, 'angle': 109.5, 'blen': 1.09, 'charge': 0.029, 'type': 'HC'},
	"HD13":{'torsion': 300.0, 'tree': 'E', 'NC': 8, 'NB': 14, 'NA': 17, 'I': 20, 'angle': 109.5, 'blen': 1.09, 'charge': 0.028, 'type': 'HC'},
	"HG13":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 14, 'I': 16, 'angle': 109.5, 'blen': 1.09, 'charge': 0.027, 'type': 'HC'},
	"HG12":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 14, 'I': 15, 'angle': 109.5, 'blen': 1.09, 'charge': 0.027, 'type': 'HC'},
	"INTX,KFORM":['INT', '1'],
	"CG2":{'torsion': 60.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.47, 'blen': 1.525, 'charge': -0.085, 'type': 'CT'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CG1":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 14, 'angle': 109.47, 'blen': 1.525, 'charge': -0.049, 'type': 'CT'},
	"NAMRES":'ISOLEUCINE',
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB', 'CG2', 'HG21', 'HG22', 'HG23', 'CG1', 'HG12', 'HG13', 'CD1', 'HD11', 'HD12', 'HD13', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HD11":{'torsion': 60.0, 'tree': 'E', 'NC': 8, 'NB': 14, 'NA': 17, 'I': 18, 'angle': 109.5, 'blen': 1.09, 'charge': 0.028, 'type': 'HC'},
	"HD12":{'torsion': 180.0, 'tree': 'E', 'NC': 8, 'NB': 14, 'NA': 17, 'I': 19, 'angle': 109.5, 'blen': 1.09, 'charge': 0.028, 'type': 'HC'},
	"HB":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.022, 'type': 'HC'},
	"CD1":{'torsion': 180.0, 'tree': '3', 'NC': 6, 'NB': 8, 'NA': 14, 'I': 17, 'angle': 109.47, 'blen': 1.525, 'charge': -0.085, 'type': 'CT'},
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 21, 'I': 22, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 109.47, 'blen': 1.525, 'charge': -0.012, 'type': 'CT'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 21, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O']],
},
"DOHE": {	"INTX,KFORM":['INT', '1'],
	"atNameList":['O', 'H'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.000', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.000', '90.000', '0.000', '0.00000']],
	"H":{'torsion': -39.22, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.0, 'blen': 0.96, 'charge': 0.226, 'type': 'HO'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"O":{'torsion': -98.89, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 101.43, 'blen': 1.6, 'charge': -0.621, 'type': 'OH'},
	"CUT":['0.00000'],
	"NAMRES":'D-OH END',
},
"GLH": {	"HB2":{'torsion': 300.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 9, 'angle': 109.5, 'blen': 1.09, 'charge': 0.092, 'type': 'HC'},
	"HB3":{'torsion': 60.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 10, 'angle': 109.5, 'blen': 1.09, 'charge': 0.092, 'type': 'HC'},
	"impropTors":[['-M', 'CA', 'N', 'H'], ['CA', '+M', 'C', 'O'], ['CG', 'OE1', 'CD', 'OE2']],
	"INTX,KFORM":['INT', '0'],
	"HG3":{'torsion': 60.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 13, 'angle': 109.5, 'blen': 1.09, 'charge': 0.137, 'type': 'HC'},
	"HG2":{'torsion': 300.0, 'tree': 'E', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 12, 'angle': 109.5, 'blen': 1.09, 'charge': 0.137, 'type': 'HC'},
	"N":{'torsion': 180.0, 'tree': 'M', 'NC': 1, 'NB': 2, 'NA': 3, 'I': 4, 'angle': 116.6, 'blen': 1.335, 'charge': -0.463, 'type': 'N'},
	"IFIXC,IOMIT,ISYMDU,IPOS":['CORR', 'OMIT', 'DU', 'BEG'],
	"CA":{'torsion': 180.0, 'tree': 'M', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 6, 'angle': 121.9, 'blen': 1.449, 'charge': 0.035, 'type': 'CT'},
	"OE2":{'torsion': 270.0, 'tree': 'S', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 16, 'angle': 117.2, 'blen': 1.26, 'charge': -0.63, 'type': 'OH'},
	"NAMRES":'GLU neutral',
	"HE":{'torsion': 180.0, 'tree': 'E', 'NC': 11, 'NB': 14, 'NA': 16, 'I': 17, 'angle': 109.5, 'blen': 0.96, 'charge': 0.368, 'type': 'HO'},
	"atNameList":['N', 'H', 'CA', 'HA', 'CB', 'HB2', 'HB3', 'CG', 'HG2', 'HG3', 'CD', 'OE1', 'OE2', 'HE', 'C', 'O'],
	"DUMM":[['1', 'DUMM', 'DU', 'M', '0', '-1', '-2', '0.000', '0.000', '0.000', '0.00000'], ['2', 'DUMM', 'DU', 'M', '1', '0', '-1', '1.449', '0.000', '0.000', '0.00000'], ['3', 'DUMM', 'DU', 'M', '2', '1', '0', '1.522', '111.100', '0.000', '0.00000']],
	"HA":{'torsion': 300.0, 'tree': 'E', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 7, 'angle': 109.5, 'blen': 1.09, 'charge': 0.048, 'type': 'HC'},
	"H":{'torsion': 0.0, 'tree': 'E', 'NC': 2, 'NB': 3, 'NA': 4, 'I': 5, 'angle': 119.8, 'blen': 1.01, 'charge': 0.252, 'type': 'H'},
	"CD":{'torsion': 180.0, 'tree': 'B', 'NC': 6, 'NB': 8, 'NA': 11, 'I': 14, 'angle': 109.47, 'blen': 1.527, 'charge': 0.803, 'type': 'C'},
	"O":{'torsion': 0.0, 'tree': 'E', 'NC': 4, 'NB': 6, 'NA': 18, 'I': 19, 'angle': 120.5, 'blen': 1.229, 'charge': -0.504, 'type': 'O'},
	"CG":{'torsion': 180.0, 'tree': '3', 'NC': 4, 'NB': 6, 'NA': 8, 'I': 11, 'angle': 109.47, 'blen': 1.51, 'charge': -0.323, 'type': 'CT'},
	"OE1":{'torsion': 90.0, 'tree': 'E', 'NC': 8, 'NB': 11, 'NA': 14, 'I': 15, 'angle': 117.2, 'blen': 1.26, 'charge': -0.476, 'type': 'O'},
	"CB":{'torsion': 60.0, 'tree': '3', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 8, 'angle': 111.1, 'blen': 1.525, 'charge': -0.184, 'type': 'CT'},
	"CUT":['0.00000'],
	"C":{'torsion': 180.0, 'tree': 'M', 'NC': 3, 'NB': 4, 'NA': 6, 'I': 18, 'angle': 111.1, 'blen': 1.522, 'charge': 0.616, 'type': 'C'},
},
}